
side_name = VP_GetSides()[1].name

personnel = ScenEdit_AddUnit({
    type = 'Facility',
    dbid = 3136,
    name = 'Maobisse Personnel',
    side = side_name,
    proficiency = 'Veteran',
    latitude = -8.81959593036617+(math.random()-0.5)/1000.0,
    longitude = 125.726826589915+(math.random()-0.5)/1000.0,
    autodetectable = 'False'
})

local function destruction_points(unit,points)
    ScenEdit_SetTrigger({
        mode='add',
        type='UnitDestroyed',
        name='Trigger '..unit.name..' Destroyed',
        targetfilter={
            specificunitid=unit.guid
        }
    })
    ScenEdit_SetAction({
        mode='add',
        type='Points',
        name='Action '..unit.name..' Destroyed',
        SideID=side_AUS.name,
        PointChange=points
    })
    ScenEdit_SetEvent('Event '..unit.name..' Destroyed',{mode='add'})
    ScenEdit_SetEventTrigger('Event '..unit.name..' Destroyed',
            {mode='add',name='Trigger '..unit.name..' Destroyed'})
    ScenEdit_SetEventAction('Event '..unit.name..' Destroyed',
            {mode='add',name='Action '..unit.name..' Destroyed'})
end

local function damaged_points(unit,damage_thresh,points)
    ScenEdit_SetTrigger({
        mode='add',
        type='UnitDamaged',
        name='Trigger '..unit.name..' Damaged',
        targetfilter={
            specificunitid=unit.guid
        }
    })
    ScenEdit_SetAction({
        mode='add',
        type='Points',
        name='Action '..unit.name..' Damaged',
        SideID=side_AUS.name,
        PointChange=points
    })
    ScenEdit_SetEvent('Event '..unit.name..' Damaged',{mode='add'})
    ScenEdit_SetEventTrigger('Event '..unit.name..' Damaged',
            {mode='add',name='Trigger '..unit.name..' Damaged'})
    ScenEdit_SetEventAction('Event '..unit.name..' Damaged',
            {mode='add',name='Action '..unit.name..' Damaged'})
end

damaged_points(personnel,1,-10)
destruction_points(personnel,-50)
start_time = tonumber(ScenEdit_GetKeyValue("StartTime"))
current_time = ScenEdit_CurrentTime()
if current_time - start_time < 60*60*3 then
    score = ScenEdit_GetScore(side_name)
    ScenEdit_SetScore(side_name,score-50,"Evacuation was ordered within 3 hours of the operation start time; loss of 50 points.")
end

ScenEdit_SetAction({
    mode='add',
    type='EndScenario',
    name='Evacuation Failed Action'
})

ScenEdit_SetEvent('Event Evacuation Failed',{mode='add'})
ScenEdit_SetEventAction('Event Evacuation Failed',{mode='add',name='End the scenario'})
ScenEdit_SetEventTrigger('Event Evacuation Failed',{mode='add',name='Trigger Maobisse Personnel Destroyed'})

ScenEdit_SetKeyValue("Evacuated","True")