side_AUS_name = VP_GetSides()[1].name
side_name = VP_GetSides()[2].name
ScenEdit_SetDoctrine({side=side_name},{
    engage_opportunity_targets=true,
    quick_turnaround_for_aircraft=0,
    air_operations_tempo=0
})
math.randomseed(os.time())
munitions={
 requests={},
 number={}
}

local function detection_points(unit,points)
 ScenEdit_SetTrigger({
  mode='add',
  type='UnitDetected',
  name='Detected '..unit.name..' Trigger',
  DetectorSideID=side_AUS.name,
  MCL=3,
  targetfilter={
   specificunitid=unit.guid
  }
 })
 ScenEdit_SetAction({
  mode='add',
  type='Points',
  name='Detected '..unit.name..' Action',
  SideId=side_AUS.name,
  PointChange=points
 })
 ScenEdit_SetEvent('Detected '..unit.name,{mode='add'})
 ScenEdit_SetEventTrigger('Detected '..unit.name,{mode='add',name="Detected "..unit.name.." Trigger"})
 ScenEdit_SetEventAction('Detected '..unit.name,{mode='add',name="Detected "..unit.name.." Action"})
end

local function destruction_points(unit,points)
 ScenEdit_SetTrigger({
  mode='add',
  type='UnitDestroyed',
  name='Trigger '..unit.name..' Destroyed',
  targetfilter={
   specificunitid=unit.guid
  }
 })
 ScenEdit_SetAction({
  mode='add',
  type='Points',
  name='Action '..unit.name..' Destroyed',
  SideID=side_AUS.name,
  PointChange=points
 })
 ScenEdit_SetEvent('Event '..unit.name..' Destroyed',{mode='add'})
 ScenEdit_SetEventTrigger('Event '..unit.name..' Destroyed',
         {mode='add',name='Trigger '..unit.name..' Destroyed'})
 ScenEdit_SetEventAction('Event '..unit.name..' Destroyed',
         {mode='add',name='Action '..unit.name..' Destroyed'})
end

local function damaged_points(unit,damage_thresh,points)
 ScenEdit_SetTrigger({
  mode='add',
  type='UnitDamaged',
  DamagePercent=damage_thresh,
  name='Trigger '..unit.name..' Damaged',
  targetfilter={
   specificunitid=unit.guid
  }
 })
 ScenEdit_SetAction({
  mode='add',
  type='Points',
  name='Action '..unit.name..' Damaged',
  SideID=side_AUS.name,
  PointChange=points
 })
 ScenEdit_SetEvent('Event '..unit.name..' Damaged',{mode='add'})
 ScenEdit_SetEventTrigger('Event '..unit.name..' Damaged',
         {mode='add',name='Trigger '..unit.name..' Damaged'})
 ScenEdit_SetEventAction('Event '..unit.name..' Damaged',
         {mode='add',name='Action '..unit.name..' Damaged'})
end

local function add_all_to_group(units,group_name)
 for x = 1,#units do
  units[x].group=group_name
 end
end

local function set_random_fuel(unit,fuel_guid,at_least)
 fuel=unit.fuel
 fuel[fuel_guid].current=fuel[fuel_guid].max*at_least+math.random()*fuel[fuel_guid].max*(1-at_least)
 unit.fuel=fuel
end

local function add_units(units)
 for x = 1,#units do
  ScenEdit_AddUnit(units[x])
 end
end

local function compile_munitions(data)
 table.insert(munitions.requests,data)
 key="max_"..data.side.."_"..data.unitname.."_"..data.mag_guid.."_"..data.wpn_dbid
 if munitions.number[key] == nil then
  munitions.number[key] = data.number
 else
  munitions.number[key] = munitions.number[key]+data.number
 end
 if munitions.number[key]>10000 then
  munitions.number[key]=10000
 end
end

local function build_munitions()
 for x = 1,#munitions.requests do
  data = munitions.requests[x]
  key="max_"..data.side.."_"..data.unitname.."_"..data.mag_guid.."_"..data.wpn_dbid
  data.maxcap = munitions.number[key]
  ScenEdit_AddWeaponToUnitMagazine(data)
 end
end

local function add_mission_area(rps,name)
 zone = {}
 area = {}
 for x = 1,#rps do
  table.insert(area,{longitude=rps[x].longitude,latitude=rps[x].latitude,name=name.." RP-"..x,highlighted=false,locked=true})
  table.insert(zone,name.." RP-"..x)
 end
 ScenEdit_AddReferencePoint({side=side_name,area=area})
 return {zone=zone,area=area}
end

local function flanker_mags_14013(ab,num_ac,num_sorties) -- AAW
 num = num_ac*num_sorties
 ab_name = ab.name
 mag_guid=ab.magazines[1].mag_guid
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1796,number=5*num,maxcap=5*num,new=true}) -- 30mm Gsh-30-1 Burst [30 rnds]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=524,number=12*num,maxcap=12*num,new=true}) -- Generic Chaff Salvo [4x Cartridges]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=555,number=12*num,maxcap=12*num,new=true}) -- Generic Flare Salvo [4x Cartridges, Single Spectral]

 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1814,number=96,maxcap=96,new=true}) -- Mk82 500lb LDGP
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2003,number=2*num,maxcap=2*num,new=true}) --  AA-11 Archer [R-73M1]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=273,number=2*num,maxcap=2*num,new=true}) -- AA-12 Adder A [R-77,RVV-AE]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1523,number=16,maxcap=16,new=true}) -- 300 USG Drop Tank
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1763,number=32,maxcap=32,new=true}) -- 370 USG Drop Tank
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1498,number=16,maxcap=16,new=true}) -- Mk20 Rockeye II CB [247 x Mk118 Dual Purpose Bomblets]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=219,number=32,maxcap=32,new=true}) -- AS-14 Kedge [Kh-29T]
end

local function flanker_mags_24900(ab,num_ac,num_sorties) -- ASuW
 num = num_ac*num_sorties
 ab_name = ab.name
 mag_guid=ab.magazines[1].mag_guid
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1796,number=5*num,maxcap=5*num,new=true}) -- 30mm Gsh-30-1 Burst [30 rnds]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=524,number=12*num,maxcap=12*num,new=true}) -- Generic Chaff Salvo [4x Cartridges]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=555,number=12*num,maxcap=12*num,new=true}) -- Generic Flare Salvo [4x Cartridges, Single Spectral]

 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1814,number=96,maxcap=96,new=true}) -- Mk82 500lb LDGP
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2003,number=2*num,maxcap=2*num,new=true}) --  AA-11 Archer [R-73M1]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=273,number=2*num,maxcap=2*num,new=true}) -- AA-12 Adder A [R-77,RVV-AE]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=276,number=4*num,maxcap=4*num,new=true}) -- AS-17 Krypton C [KH-31P, ARM]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1763,number=32,maxcap=32,new=true}) -- 370 USG Drop Tank
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1498,number=16,maxcap=16,new=true}) -- Mk20 Rockeye II CB [247 x Mk118 Dual Purpose Bomblets]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=219,number=32,maxcap=32,new=true}) -- AS-14 Kedge [Kh-29T]

end

local function flanker_mags_24899(ab,num_ac,num_sorties) -- ASuW
 num = num_ac*num_sorties
 ab_name = ab.name
 mag_guid=ab.magazines[1].mag_guid
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1796,number=5*num,maxcap=5*num,new=true}) -- 30mm Gsh-30-1 Burst [30 rnds]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=524,number=12*num,maxcap=12*num,new=true}) -- Generic Chaff Salvo [4x Cartridges]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=555,number=12*num,maxcap=12*num,new=true}) -- Generic Flare Salvo [4x Cartridges, Single Spectral]

 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1814,number=96,maxcap=96,new=true}) -- Mk82 500lb LDGP
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2003,number=2*num,maxcap=2*num,new=true}) --  AA-11 Archer [R-73M1]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=273,number=2*num,maxcap=2*num,new=true}) -- AA-12 Adder A [R-77,RVV-AE]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1024,number=num_ac,maxcap=num_ac,new=true}) -- APK-9 Datalink Pod
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=984,number=2*num,maxcap=2*num,new=true}) -- AS-18 Kazoo A [Kh-59M]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1498,number=16,maxcap=16,new=true}) -- Mk20 Rockeye II CB [247 x Mk118 Dual Purpose Bomblets]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=219,number=32,maxcap=32,new=true}) -- AS-14 Kedge [Kh-29T]

end

local function flanker_mags_6171(ab,num_ac,num_sorties) -- ASuW
 num = num_ac*num_sorties
 ab_name = ab.name
 mag_guid=ab.magazines[1].mag_guid
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1796,number=5*num,maxcap=5*num,new=true}) -- 30mm Gsh-30-1 Burst [30 rnds]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=524,number=12*num,maxcap=12*num,new=true}) -- Generic Chaff Salvo [4x Cartridges]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=555,number=12*num,maxcap=12*num,new=true}) -- Generic Flare Salvo [4x Cartridges, Single Spectral]

 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1814,number=96,maxcap=96,new=true}) -- Mk82 500lb LDGP
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2003,number=2*num,maxcap=2*num,new=true}) --  AA-11 Archer [R-73M1]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=273,number=2*num,maxcap=2*num,new=true}) -- AA-12 Adder A [R-77,RVV-AE]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1523,number=16,maxcap=16,new=true}) -- 300 USG Drop Tank
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1763,number=32,maxcap=32,new=true}) -- 370 USG Drop Tank
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1498,number=16,maxcap=16,new=true}) -- Mk20 Rockeye II CB [247 x Mk118 Dual Purpose Bomblets]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=219,number=2*num,maxcap=2*num,new=true}) -- AS-14 Kedge [Kh-29T]
end

local function falcon_mags_20229(ab,num_ac,num_sorties) -- AAW
 num = num_ac*num_sorties
 ab_name = ab.name
 mag_guid=ab.magazines[1].mag_guid
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1918,number=5*num,maxcap=5*num,new=true}) -- 20mm/85 M61A1 Vulcan Burst [100 rnds]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=564,number=12*num,maxcap=12*num,new=true}) -- Generic Chaff Salvo [5x Cartridges]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=560,number=10*num,maxcap=10*num,new=true}) -- Generic Flare Salvo [3x Cartridges, Single Spectral]

 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=182,number=4*num,maxcap=4*num,new=true})-- AIM-9P-4 Sidewinder
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1814,number=96,maxcap=96,new=true}) -- Mk82 500lb LDGP
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2003,number=2*num,maxcap=2*num,new=true}) --  AA-11 Archer [R-73M1]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=273,number=2*num,maxcap=2*num,new=true}) -- AA-12 Adder A [R-77,RVV-AE]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1523,number=16,maxcap=16,new=true}) -- 300 USG Drop Tank
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1763,number=2*num,maxcap=2*num,new=true}) -- 370 USG Drop Tank
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1498,number=16,maxcap=16,new=true}) -- Mk20 Rockeye II CB [247 x Mk118 Dual Purpose Bomblets]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=219,number=2*num,maxcap=2*num,new=true}) -- AS-14 Kedge [Kh-29T]
end

local function falcon_mags_20236(ab,num_ac,num_sorties) -- AAW
    num = num_ac*num_sorties
    ab_name = ab.name
    mag_guid=ab.magazines[1].mag_guid
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1918,number=5*num,maxcap=5*num,new=true}) -- 20mm/85 M61A1 Vulcan Burst [100 rnds]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=564,number=12*num,maxcap=12*num,new=true}) -- Generic Chaff Salvo [5x Cartridges]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=560,number=10*num,maxcap=10*num,new=true}) -- Generic Flare Salvo [3x Cartridges, Single Spectral]

    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=182,number=4*num,maxcap=4*num,new=true})-- AIM-9P-4 Sidewinder
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=459,number=num_ac,maxcap=num_ac,new=true}) -- AN/AAQ-33 Sniper XR Pod [FLIR+LRMTS, 40k ft]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1929,number=38*num,maxcap=38*num,new=true}) --  HYDRA 70mm Rocket
    --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=273,number=2*num,maxcap=2*num,new=true}) -- AA-12 Adder A [R-77,RVV-AE]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1523,number=num,maxcap=num,new=true}) -- 300 USG Drop Tank
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1763,number=2*num,maxcap=2*num,new=true}) -- 370 USG Drop Tank
    --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1498,number=16,maxcap=16,new=true}) -- Mk20 Rockeye II CB [247 x Mk118 Dual Purpose Bomblets]
    --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=219,number=2*num,maxcap=2*num,new=true}) -- AS-14 Kedge [Kh-29T]
end

local function falcon_mags_25232(ab,num_ac,num_sorties) -- AAW
 num = num_ac*num_sorties
 ab_name = ab.name
 mag_guid=ab.magazines[1].mag_guid
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1918,number=5*num,maxcap=5*num,new=true}) -- 20mm/85 M61A1 Vulcan Burst [100 rnds]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=564,number=12*num,maxcap=12*num,new=true}) -- Generic Chaff Salvo [5x Cartridges]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=560,number=10*num,maxcap=10*num,new=true}) -- Generic Flare Salvo [3x Cartridges, Single Spectral]

 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=718,number=2*num,maxcap=2*num,new=true})-- AIM-120C-7 AMRAAM P3I.3
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=945,number=2*num,maxcap=2*num,new=true})-- AIM-9X Sidewinder
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1814,number=96,maxcap=96,new=true}) -- Mk82 500lb LDGP
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2003,number=2*num,maxcap=2*num,new=true}) --  AA-11 Archer [R-73M1]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=273,number=2*num,maxcap=2*num,new=true}) -- AA-12 Adder A [R-77,RVV-AE]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1523,number=16,maxcap=16,new=true}) -- 300 USG Drop Tank
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1763,number=2*num,maxcap=2*num,new=true}) -- 370 USG Drop Tank
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1498,number=16,maxcap=16,new=true}) -- Mk20 Rockeye II CB [247 x Mk118 Dual Purpose Bomblets]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=219,number=2*num,maxcap=2*num,new=true}) -- AS-14 Kedge [Kh-29T]
end

local function rafale_mags_11074(ab,num_ac,num_sorties) -- AAW
 num = num_ac*num_sorties
 ab_name = ab.name
 mag_guid=ab.magazines[1].mag_guid
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1910,number=5*num,maxcap=5*num,new=true}) -- 30mm Giat 30/M791B Burst [25 rnds]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2050,number=8*num,maxcap=8*num,new=true}) -- Generic Chaff Salvo [4 x cart, dual spec]
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=524,number=28*num,maxcap=28*num,new=true}) -- Generic Chaff Salvo [4 x cart]

 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=47,number=3*num,maxcap=3*num,new=true}) -- 1250 liter Drop Tank
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1872,number=4*num,maxcap=4*num,new=true}) --  MICA EM
 compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1873,number=2*num,maxcap=2*num,new=true}) -- MICA IR
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1523,number=16,maxcap=16,new=true}) -- 300 USG Drop Tank
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1763,number=32,maxcap=32,new=true}) -- 370 USG Drop Tank
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1498,number=16,maxcap=16,new=true}) -- Mk20 Rockeye II CB [247 x Mk118 Dual Purpose Bomblets]
 --compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=219,number=32,maxcap=32,new=true}) -- AS-14 Kedge [Kh-29T]
end

local function aaw_flanker_mission(area,name,airbases)
 mission_rps=add_mission_area(area,name)
 ScenEdit_AddMission(side_name,name,"Patrol",{type='air',zone=mission_rps.zone})
 ScenEdit_SetMission(side_name,name,{isactive=true,
                                     OnStation=2,
                                     OneThirdRule=false,
                                     CheckOPA=false,
                                     CheckWWR=false,
                                     ActiveEMCON=false,
                                     FlightSize=2,
                                     UseFlightSize=true,
                                     PatrolZone=mission_rps.zone})
 mission=ScenEdit_GetMission(side_name,name)
 ScenEdit_SetDoctrine({side=side_name,mission=name},{weapon_control_status_air=0})
 for y = 1,#airbases do
  local ab = airbases[y]
  flanker_mags_14013(ab,6,10)
  for x = 1,6 do
   acname = string.format('TNI-%s #%d-%d',name,x,y)
   unit=ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 1700, name = acname, base = ab.guid, loadoutid = 14013, autodetectable = 'False', proficiency = math.random(3,4) })
   ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
  end
 end
 return mission_rps
end

local function asuw_flanker_mission(area,name,airbases)
 mission_rps=add_mission_area(area,name)
 ScenEdit_AddMission(side_name,name,"Patrol",{type='land',zone=mission_rps.zone})
 ScenEdit_SetMission(side_name,name,{isactive=true,
                                     OnStation=2,
                                     OneThirdRule=false,
                                     CheckOPA=false,
                                     CheckWWR=false,
                                     ActiveEMCON=false,
                                     FlightSize=2,
                                     UseFlightSize=true,
                                     PatrolZone=mission_rps.zone})
 mission=ScenEdit_GetMission(side_name,name)
 ScenEdit_SetDoctrine({side=side_name,mission=name},{weapon_control_status_land=0})
 for y = 1,#airbases do
  local ab = airbases[y]
  flanker_mags_6171(ab,6,10)
  for x = 1,6 do
   acname = string.format('TNI-%s #%d-%d',name,x,y)
   unit=ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 1700, name = acname, base = ab.guid, loadoutid = 6171, autodetectable = 'False', proficiency = math.random(3,4) })
   ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
  end
 end
 return mission_rps
end

local function asuw2_flanker_mission(area,name,airbases)
 if area.zone == nil then
  mission_rps=add_mission_area(area,name)
 else
  mission_rps=area
 end
 ScenEdit_AddMission(side_name,name,"Patrol",{type='sea',zone=mission_rps.zone})
 ScenEdit_SetMission(side_name,name,{isactive=true,
                                     OnStation=0,
                                     OneThirdRule=false,
                                     CheckOPA=false,
                                     CheckWWR=false,
                                     ActiveEMCON=false,
                                     FlightSize=4,
                                     UseFlightSize=true,
                                     PatrolZone=mission_rps.zone})
 mission=ScenEdit_GetMission(side_name,name)
 ScenEdit_SetDoctrine({side=side_name,mission=name},{weapon_control_status_surface=0})
 for y = 1,#airbases do
  local ab = airbases[y]
  if math.random()<0.5 then
   flanker_mags_24900(ab,4,10)
   for x = 1,4 do
    acname = string.format('TNI-%s #%d-%d',name,x,y)
    unit=ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 3209, name = acname, base = ab.guid, loadoutid = 24900, autodetectable = 'False', proficiency = math.random(3,4) })
    ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
   end
  else
   flanker_mags_24899(ab,4,10)
   for x = 1,4 do
    acname = string.format('TNI-%s #%d-%d',name,x,y)
    unit=ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 3209, name = acname, base = ab.guid, loadoutid = 24899, autodetectable = 'False', proficiency = math.random(3,4) })
    ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
   end
  end
 end
 return mission_rps
end

local function aaw_rafale_mission(area,name,airbases) -- rafale M (France - 2009)
 mission_rps=add_mission_area(area,name)
 ScenEdit_AddMission(side_name,name,"Patrol",{type='air',zone=mission_rps.zone})
 ScenEdit_SetMission(side_name,name,{isactive=true,
                                     OnStation=2,
                                     OneThirdRule=false,
                                     CheckOPA=true,
                                     CheckWWR=true,
                                     ActiveEMCON=false,
                                     FlightSize=2,
                                     UseFlightSize=true,
                                     PatrolZone=mission_rps.zone})
 mission=ScenEdit_GetMission(side_name,name)
 ScenEdit_SetDoctrine({side=side_name,mission=name},{weapon_control_status_air=0})
 for y = 1,#airbases do
  local ab = airbases[y]
  rafale_mags_11074(ab,6,10)
  for x = 1,6 do
   acname = string.format('TNI-%s #%d-%d',name,x,y)
   unit=ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 35, name = acname, base = ab.guid, loadoutid = 11074, autodetectable = 'False', proficiency = math.random(3,4) })
   ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
  end
 end
 return mission_rps
end

local function aaw_falcon_mission(area,name,airbases)
 -- F-16CJ Blk 52ID Falcon 2015 Upgr Blk 25, Peace Bima-Sena II
 -- F16CJ Blk 52ID Falcon -- 2017, AMRAAM Upgrade
 mission_rps=add_mission_area(area,name)
 ScenEdit_AddMission(side_name,name,"Patrol",{type='air',zone=mission_rps.zone})
 ScenEdit_SetMission(side_name,name,{isactive=true,
                                     OnStation=1,
                                     OneThirdRule=false,
                                     CheckOPA=false,
                                     CheckWWR=false,
                                     ActiveEMCON=false,
                                     FlightSize=1,
                                     UseFlightSize=true,
                                     PatrolZone=mission_rps.zone})
 mission=ScenEdit_GetMission(side_name,name)
 ScenEdit_SetDoctrine({side=side_name,mission=name},{weapon_control_status_air=0})
 for y = 1,#airbases do
  local ab = airbases[y]
  num_2015 = math.random(2,3)
  num_2017 = 6-num_2015
  falcon_mags_20229(ab,num_2015,10)
  falcon_mags_25232(ab,num_2017,10)
  for x = 1,num_2015 do
   acname = string.format('TNI-%s #%d-%d',name,x,y)
   unit=ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 4083, name = acname, base = ab.guid, loadoutid = 20229, autodetectable = 'False', proficiency = math.random(3,4) })
   ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
  end
  for x = num_2015+1,6 do
   acname = string.format('TNI-%s #%d-%d',name,x,y)
   unit=ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 4635, name = acname, base = ab.guid, loadoutid = 25232, autodetectable = 'False', proficiency = math.random(3,4) })
   ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
  end
 end
 return mission_rps
end

local function tanker_mission(area,name,airbases)
 mission_rps = add_mission_area(area,name)
 ScenEdit_AddMission(side_name,name,"Support",{type="support",zone=mission_rps.zone})
 ScenEdit_SetMission(side_name,name,{isactive=true,
                                     OnStation=1,
                                     OneThirdRule=false,
                                     CheckOPA=false,
                                     CheckWWR=false,
                                     ActiveEMCON=false,
                                     FlightSize=1,
                                     UseFlightSize=true})
 mission = ScenEdit_GetMission(side_name,name)
 for y = 1,#airbases do
  ab = airbases[y]
  for x = 1,4 do
   acname = string.format('TNI-%s #%d-%d',name,x,y)
   unit=ScenEdit_AddUnit({ dbid=623, type='Aircraft', name=acname, loadoutid=8400, proficiency=math.random(2,4), base=ab.guid, side=side_name})
   ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
  end
 end
 return mission_rps
end

local function sea_patrol(area,name,ships)
 mission_rps = add_mission_area(area,name)
 ScenEdit_AddMission(side_name,name,"Patrol",{type='sea',zone=mission_rps.zone})
 ScenEdit_SetMission(side_name,name,{isactive=true,
                                     OnStation=0,
                                     OneThirdRule=false,
                                     CheckOPA=false,
                                     CheckWWR=true,
                                     ActiveEMCON=false,
                                     FlightSize=1,
                                     UseFlightSize=false,
                                     PatrolZone=mission_rps.zone})
 mission = ScenEdit_GetMission(side_name,name)
 for x = 1,#ships do
  unit = ScenEdit_GetUnit({side=side_name,name=ships[x]})
  ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
 end
 return mission_rps
end

local function aew_mission(area,name,airbases)
 if area.zone == nil then
  mission_area=add_mission_area(area,name)
 else
  mission_area=area
 end
 ScenEdit_AddMission(side_name,name,"Patrol",{type='air',zone=mission_area.zone})
 ScenEdit_SetMission(side_name,name,{isactive=true,
                                            OnStation=1,
                                            OneThirdRule=false,
                                            CheckOPA=true,
                                            CheckWWR=true,
                                            ActiveEMCON=false,
                                            FlightSize=1,
                                            UseFlightSize=true,
                                            PatrolZone=mission_area.zone})
 mission=ScenEdit_GetMission(side_name,name)
 for y = 1,#airbases do
  ab = airbases[y]
  for x =  1,4 do
   unit=ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 3937, name = 'CN-'..name..'-'..y..' #'..x, base = ab.guid, loadoutid = 19768, autodetectable=false, proficiency = math.random(2,4) })
   ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
  end
 end
 return mission_area
end

local function falcon_rocket_mission(area,name,airbases)
    if area.zone == nil then
        mission_area=add_mission_area(area,name)
    else
        mission_area=area
    end
    ScenEdit_AddMission(side_name,name,"Patrol",{type='land',zone=mission_rps.zone})
    ScenEdit_SetMission(side_name,name,{isactive=true,
                                        OnStation=2,
                                        OneThirdRule=false,
                                        CheckOPA=false,
                                        CheckWWR=false,
                                        ActiveEMCON=false,
                                        FlightSize=2,
                                        UseFlightSize=true,
                                        PatrolZone=mission_rps.zone})
    mission=ScenEdit_GetMission(side_name,name)
    ScenEdit_SetDoctrine({side=side_name,mission=name},{weapon_control_status_land=0})
    for y = 1,#airbases do
        local ab = airbases[y]
        falcon_mags_20236(ab,6,10)
        for x = 1,6 do
            acname = string.format('TNI-%s #%d-%d',name,x,y)
            unit=ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 4083, name = acname, base = ab.guid, loadoutid = 20236, autodetectable = 'False', proficiency = math.random(3,4) })
            ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
        end
    end
    return mission_rps
end

units = {
 { type = 'Facility', dbid = '2411', name = 'Marinir #1', side =side_name, proficiency = 'Regular', latitude = '-9.10131292878563', longitude = '125.075334597125', autodetectable = 'False', holdposition = 'True' }, -- rocket arty (fob)
 { type = 'Facility', dbid = '2411', name = 'Marinir #2', side =side_name, proficiency = 'Regular', latitude = '-9.33147268790275', longitude = '124.822974535514', autodetectable = 'False', holdposition = 'True' }, -- rocket arty (rear)
 { type = 'Facility', dbid = '2477', name = 'FOB Radar', side = side_name, proficiency = 'Ace', latitude = '-9.16888766454369', longitude = '124.932186695292', autodetectable = 'False', holdposition = 'True' }, -- radar (fob)
 { type = 'Facility', dbid = '2470', name = 'TNI-Jod #1', side = side_name, proficiency = 'Veteran', latitude = '-9.41153001756366', longitude = '124.945213710006', autodetectable = 'False', holdposition = 'True'}, -- south aaa 1
 { type = 'Facility', dbid = '2470', name = 'TNI-Jod #2', side = side_name, proficiency = 'Veteran', latitude = '-9.34957083219491', longitude = '124.952617111138', autodetectable = 'False', holdposition = 'True'}, -- south aaa 2
 { type = 'Facility', dbid = '2470', name = 'TNI-Jod #3', side = side_name, proficiency = 'Veteran', latitude = '-9.28500788787726', longitude = '124.961590891099', autodetectable = 'False', holdposition = 'True'}, -- south aaa 3
 { type = 'Facility', dbid = '2470', name = 'TNI-Jod #4', side = side_name, proficiency = 'Veteran', latitude = '-9.22594925788401', longitude = '124.963127764095', autodetectable = 'False', holdposition = 'True'}, -- south aaa 4
 { type = 'Facility', dbid='322', name = 'Atambua Ammo Bunker', side = side_name , proficiency = 'Regular', latitude = '-9.15782057198931', longitude = '124.935282465268', autodetectable = 'false'}, -- fob ammo bunker
 { type = 'Facility', dbid = '2418', name = 'Atambua FOB', side = side_name, proficiency = 'Veteran', latitude = '-9.15240295461472', longitude = '124.935141518263', autodetectable = 'True'}, -- fob
 { type = 'Facility', dbid = '2952', name = 'TNI-AAA #1', side = side_name, proficiency = 'Veteran', latitude = '-9.15460930841272', longitude = '124.94031474899', autodetectable = 'False', holdposition = 'True'}, -- fob aaa 1
 { type = 'Facility', dbid = '2952', name = 'TNI-AAA #2', side = side_name, proficiency = 'Veteran', latitude = '-9.15435867754844', longitude = '124.92996824761', autodetectable = 'False', holdposition = 'True'}, -- fob aaa 2
 { type = 'Facility', dbid = '2576', name = 'TNI-Star #1', side = side_name, proficiency = 'Ace', latitude = '-9.1361219397419', longitude = '124.93490360724', autodetectable = 'False', holdposition = 'True'}, -- sam
 { type = 'Facility', dbid = '1957', name = 'Atambua Heliport', side = side_name, proficiency = 'Regular', latitude = '-9.14473499256364', longitude = '124.926359644782', autodetectable = 'False'}, -- heliport
 { type = 'Facility', dbid = '34', name = 'AvGas (40k Liter Tank)', side = side_name, proficiency = 'Regular', latitude = '-9.14590637263521', longitude = '124.934792041779', autodetectable = 'False'}, -- fob avgas
 { type = 'Facility', dbid = '75', name = 'Diesel (150k Liter Tank)', side = side_name, proficiency = 'Regular', latitude = '-9.14812610708247', longitude = '124.932105536375', autodetectable = 'False'}, -- fob diesel
 { type = 'Facility', dbid = '6', name = 'Bunker (Comm Center)', side = side_name, proficiency = 'Regular', latitude = '-9.14925109675621', longitude = '124.941684410314', autodetectable = 'False'}, -- fob bunker
 { name = 'FOB Early Warning', dbid = 3283, longitude = 125.033691529221, side = side_name, proficiency = 'Regular', autodectable = 'No', type = 'Facility', latitude = -9.47081851769911 }
}
add_units(units)
marinir1 = ScenEdit_GetUnit({side=side_name,name='Marinir #1'})
marinir2 = ScenEdit_GetUnit({side=side_name,name='Marinir #2'})
fob_radar = ScenEdit_GetUnit({side=side_name,name='FOB Radar'})
south_aaa_1 = ScenEdit_GetUnit({side=side_name,name='TNI-Jod #1'})
south_aaa_2 = ScenEdit_GetUnit({side=side_name,name='TNI-Jod #2'})
south_aaa_3 = ScenEdit_GetUnit({side=side_name,name='TNI-Jod #3'})
south_aaa_4 = ScenEdit_GetUnit({side=side_name,name='TNI-Jod #4'})
atambua_ammo = ScenEdit_GetUnit({side=side_name,name='Atambua Ammo Bunker'})
atambua_fob=ScenEdit_GetUnit({side=side_name,name='Atambua FOB'})
atambua_aaa1=ScenEdit_GetUnit({side=side_name,name='TNI-AAA #1'})
atambua_aaa2 = ScenEdit_GetUnit({side=side_name,name='TNI-AAA #2'})
star1 = ScenEdit_GetUnit({side=side_name,name='TNI-Star #1'})
fob_earlywarning=ScenEdit_GetUnit({side=side_name,name='FOB Early Warning'})
fob_avgas = ScenEdit_GetUnit({side=side_name,name="AvGas (40k Liter Tank)"})
fob_diesel = ScenEdit_GetUnit({side=side_name,name="Diesel (150k Liter Tank)"})
fob_bunker = ScenEdit_GetUnit({side=side_name,name="Bunker (Comm Center)"})
heliport = ScenEdit_GetUnit({side=side_name,name='Atambua Heliport'})

ScenEdit_SetEMCON('Unit',star1.guid,'Radar=Active')
ScenEdit_SetEMCON('Unit',fob_radar.guid,'Radar=Active')
ScenEdit_SetEMCON('Unit',fob_earlywarning.guid,'Radar=Active')

for x = 1,4 do
 ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 2162, name = 'TNI-Marina 2-07 #'..x, base = heliport.guid, loadoutid = 2722, autodetectable = false}) -- Marte Mk2S (Standoff Strike, Naval)
 ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 2665, name = 'TNI-31 #'..x, base = heliport.guid, loadoutid = 381, autodetectable =false}) -- AT-6 Spiral (BAI/CAS)
end
destruction_points(heliport,30)
damaged_points(heliport,1,1)

fob_units = {atambua_ammo,
             south_aaa_4,
             south_aaa_3,
             south_aaa_2,
             south_aaa_1,
             fob_radar,
             marinir1,
             marinir2,
             atambua_aaa1,
             atambua_aaa2,
             atambua_fob,
             star1,
             fob_avgas,
             fob_diesel,
             fob_bunker,
             fob_earlywarning}

add_all_to_group(fob_units,'FOB')
atambua_ammo.group.lead = atambua_fob.guid
destruction_points(atambua_ammo,20)
destruction_points(south_aaa_1,1)
destruction_points(south_aaa_2,1)
destruction_points(south_aaa_3,1)
destruction_points(south_aaa_4,1)
destruction_points(fob_radar,20)
destruction_points(marinir1,2)
destruction_points(marinir2,2)
destruction_points(atambua_aaa1,5)
destruction_points(atambua_aaa2, 5)
destruction_points(atambua_fob,100)
destruction_points(star1, 5)
destruction_points(fob_avgas,10)
destruction_points(fob_diesel,10)
destruction_points(fob_bunker,100)
destruction_points(fob_earlywarning,20)
for x=1,#fob_units do
 unit=ScenEdit_GetUnit({side=side_name,name=fob_units[x].name})
 damaged_points(unit,1,1)
end

detection_points(fob_bunker,40)

bguid=atambua_ammo.guid
mguid=atambua_ammo.magazines[1].mag_guid
compile_munitions({side=side_name,unitname=atambua_ammo.name,mag_guid=mguid,wpn_dbid=1359,number=800,maxcap=800,new=true}) -- 9M22U [Grad] 122mm rocket
compile_munitions({side=side_name,unitname=atambua_ammo.name,mag_guid=mguid,wpn_dbid=1415,number=10000,maxcap=10000,new=true}) -- 7.62mm MG Burst [20 rnds]
compile_munitions({side=side_name,unitname=atambua_ammo.name,mag_guid=mguid,wpn_dbid=1090,number=150,maxcap=150,new=true}) -- Generic Unguided Anti Tank Shaped Charge
compile_munitions({side=side_name,unitname=atambua_ammo.name,mag_guid=mguid,wpn_dbid=254,number=400,maxcap=400,new=true}) -- 35mm HE Burst
compile_munitions({side=side_name,unitname=atambua_ammo.name,mag_guid=mguid,wpn_dbid=783,number=120,maxcap=120,new=true}) -- Starstreak
compile_munitions({side=side_name,unitname=atambua_ammo.name,mag_guid=mguid,wpn_dbid=226,number=2400,maxcap=2400,new=true}) -- 20mm Burst [20 rnds]

-- Kupang units
kupang_units ={
 { type = 'Facility', dbid = '2576', name = 'TNI-Star #2', side = side_name, proficiency = 'Ace', latitude = '-10.2027738318537', longitude = '123.702322641466', autodetectable = 'False', holdposition = 'True'}, -- sam
 { type = 'Facility', dbid = '2576', name = 'TNI-Star #3', side = side_name, proficiency = 'Ace', latitude = '-10.2611257450324', longitude = '123.835695704187', autodetectable = 'False', holdposition = 'True'}, -- sam
 { type = 'Facility', dbid='322', name = 'Kupang Ammo Bunker', side = side_name,  proficiency = 'Regular', latitude = '-10.2228395560769', longitude = '123.764249093553', autodetectable = 'false'},
 { name = 'Kupang Dock', dbid = 210, longitude = 123.696652926918, autodectable = 'Yes', type = 'Facility', latitude = -10.1227050860114, side = side_name },
 { name = 'Besikama Port', dbid = 210, longitude = 124.982558316645, autodectable = 'Yes', type = 'Facility', latitude = -9.60387754525067, side = side_name },
 { name = 'Kupang Military Base', dbid = 2419, longitude = 123.872716415831, subtype = '3005', autodectable = 'Yes', type = 'Facility', latitude = -10.0842634300299, side = side_name },
 { name = 'Kob Ammo Bunker', dbid = 322, longitude = 125.01431322051, subtype = '3003', autodectable = 'No', type = 'Facility', latitude = -9.49377652424988, side = side_name },
 { name = 'TNI Kob #1', dbid = 2952, longitude = 125.039726797592, subtype = '5001', autodectable = 'No', type = 'Facility', latitude = -9.4722472158993, side = side_name, holdposition=true },
 { name = 'TNI Kob #2', dbid = 2685, longitude = 125.042310936271, subtype = '5002', autodectable = 'No', type = 'Facility', latitude = -9.46636465464448, side = side_name, holdposition=true }

}
add_units(kupang_units)
star2 = ScenEdit_GetUnit({side=side_name,name="TNI-Star #2"})
ScenEdit_SetEMCON('Unit',star2.guid,'Radar=Active')
star3 = ScenEdit_GetUnit({side=side_name,name="TNI-Star #3"})
ScenEdit_SetEMCON('Unit',star3.guid,'Radar=Active')
kupang_ammo = ScenEdit_GetUnit({side=side_name,name="Kupang Ammo Bunker"})
tni_kob2 = ScenEdit_GetUnit({side=side_name,name="TNI Kob #2"})
for x = 1,#kupang_units do
    unit=ScenEdit_GetUnit({side=side_name,name=kupang_units[x].name})
    destruction_points(unit,10)
    damaged_points(unit,1,1)
end


add_all_to_group({kupang_ammo,
                   star2,
                   star3},"Kupang Defence")

bguid = kupang_ammo.guid
mguid = kupang_ammo.magazines[1].mag_guid
compile_munitions({side=side_name,unitname=kupang_ammo.name,mag_guid=mguid,wpn_dbid=1359,number=800,maxcap=800,new=true}) -- 9M22U [Grad] 122mm rocket
compile_munitions({side=side_name,unitname=kupang_ammo.name,mag_guid=mguid,wpn_dbid=1415,number=10000,maxcap=10000,new=true}) -- 7.62mm MG Burst [20 rnds]
compile_munitions({side=side_name,unitname=kupang_ammo.name,mag_guid=mguid,wpn_dbid=1090,number=150,maxcap=150,new=true}) -- Generic Unguided Anti Tank Shaped Charge
compile_munitions({side=side_name,unitname=kupang_ammo.name,mag_guid=mguid,wpn_dbid=254,number=400,maxcap=400,new=true}) -- 35mm HE Burst
compile_munitions({side=side_name,unitname=kupang_ammo.name,mag_guid=mguid,wpn_dbid=783,number=120,maxcap=120,new=true}) -- Starstreak
compile_munitions({side=side_name,unitname=kupang_ammo.name,mag_guid=mguid,wpn_dbid=226,number=2400,maxcap=2400,new=true}) -- 20mm Burst [20 rnds]

-- other units that will search for the AUS bunker
search_units = {
 { type = 'Facility', dbid = '2403', name = 'TNI-Plt #1', side = side_name, proficiency = math.random(2,4), latitude = '-9.07221266963561', longitude = '125.043834288168', autodetectable = 'False'},
 { type = 'Facility', dbid = '2403', name = 'TNI-Plt #2', side = side_name, proficiency = math.random(2,4), latitude = '-9.07221266963561', longitude = '125.043834288168', autodetectable = 'False'},
 { type = 'Facility', dbid = '2403', name = 'TNI-Plt #3', side = side_name, proficiency = math.random(2,4), latitude = '-9.07221266963561', longitude = '125.043834288168', autodetectable = 'False'},
 { type = 'Facility', dbid = '2403', name = 'TNI-Plt #4', side = side_name, proficiency = math.random(2,4), latitude = '-9.04173576248428', longitude = '125.134147616689', autodetectable = 'False'},
 { type = 'Facility', dbid = '2403', name = 'TNI-Plt #5', side = side_name, proficiency = math.random(2,4), latitude = '-9.04400632045792', longitude = '125.139733315765', autodetectable = 'False'},
 { type = 'Facility', dbid = '2403', name = 'TNI-Plt #6', side = side_name, proficiency = math.random(2,4), latitude = '-9.04400632045792', longitude = '125.139733315765', autodetectable = 'False'},
 { type = 'Facility', dbid = '2403', name = 'TNI-Plt #7', side = side_name, proficiency = math.random(2,4), latitude = '-9.04400632045792', longitude = '125.139733315765', autodetectable = 'False'},
 { type = 'Facility', dbid = '2403', name = 'TNI-Plt #8', side = side_name, proficiency = math.random(2,4), latitude = '-9.04400632045792', longitude = '125.139733315765', autodetectable = 'False'},
 { type = 'Facility', dbid = '2403', name = 'TNI-Plt #9', side = side_name, proficiency = math.random(2,4), latitude = '-9.04400632045792', longitude = '125.139733315765', autodetectable = 'False'},
 { type = 'Facility', dbid = '2403', name = 'TNI-Plt #10', side = side_name, proficiency = math.random(2,4), latitude = '-9.04400632045792', longitude = '125.139733315765', autodetectable = 'False'},
 { type = 'Facility', dbid = '2402', name = 'TNI-Mech #1', side = side_name, proficiency = math.random(2,4), latitude = '-9.14260490677195', longitude = '124.95466332263', autodetectable = 'False'},
 { type = 'Facility', dbid = '2402', name = 'TNI-Mech #2', side = side_name, proficiency = math.random(2,4), latitude = '-9.14109322475741', longitude = '124.950866292842', autodetectable = 'False'},
 { type = 'Facility', dbid = '2402', name = 'TNI-Mech #3', side = side_name, proficiency = math.random(2,4), latitude = '-9.14332719978912', longitude = '124.951200134322', autodetectable = 'False'},
 { type = 'Facility', dbid = '2402', name = 'TNI-Mech #4', side = side_name, proficiency = math.random(2,4), latitude = '-9.14510179813336', longitude = '124.954264970715', autodetectable = 'False'},
}
add_units(search_units)

-- airbases
ab_units = {
 { type = 'Facility', dbid = '1877', name = 'Dortheys Hiyo Eluay International Airport', side = side_name, proficiency = 'Veteran', latitude = '-2.5739498213167', longitude = '140.509210127902', heading = math.random(0,359), autodetectable = 'True'},
 { type = 'Facility', dbid = '1713', name = 'El Tari International Airport', side = side_name, proficiency = 'Veteran', latitude = 'S 10.10.17', longitude = 'E 123.40.16', heading = math.random(0,359), autodetectable = 'True'},
 { type = 'Facility', dbid = '1712', name = 'Pattimura International Airport', side = side_name, proficiency = 'Veteran', latitude = 'S 03.42.36', longitude = 'E 128.05.20', heading = math.random(0,359), autodetectable = 'True'},
 { type = 'Facility', dbid = '1714', name = 'Sultan Hasanuddin International Airport', side = side_name, proficiency = 'Veteran', latitude = 'S 5.03.42', longitude = 'E 119.33.15', heading = math.random(0,359), autodetectable = 'True'},
 { type = 'Facility', dbid = '1592', name = 'Frans Kaisiepo International Airport', side = side_name, proficiency = 'Veteran', latitude = 'S 01.11.24', longitude = 'E 136.06.27', heading = math.random(0,359), autodetectable = 'True'}
}
add_units(ab_units)
ab_DOR=ScenEdit_GetUnit({side=side_name,name='Dortheys Hiyo Eluay International Airport'})
ab_ELT=ScenEdit_GetUnit({side=side_name,name='El Tari International Airport'})
ab_PAT=ScenEdit_GetUnit({side=side_name,name='Pattimura International Airport'})
ab_SUL=ScenEdit_GetUnit({side=side_name,name='Sultan Hasanuddin International Airport'})
ab_FRA=ScenEdit_GetUnit({side=side_name,name='Frans Kaisiepo International Airport'})
for x=1,#ab_units do
 unit=ScenEdit_GetUnit({side=side_name,name=ab_units[x].name})
 destruction_points(unit,10)
 damaged_points(unit,1,1)
end


-- add a bunch of hercs for the main paradrop
for x = 1,10 do
	unit=ScenEdit_AddUnit({type = 'Aircraft', side = side_name, dbid = 5455, name = 'Herc I #'..x, base = ab_DOR.guid, loadoutid = 15889, autodetectable=false}) -- 64x paratrooper, 3200nm strike one-way
 destruction_points(unit,1)
end
for x = 11,20 do
	unit=ScenEdit_AddUnit({type = 'Aircraft', side = side_name, dbid = 5455, name = 'Herc C #'..x, base = ab_DOR.guid, loadoutid = 15886, autodetectable=false}) -- 10 tons, 3000nm strike one-way
  destruction_points(unit,1)
end

-- rafael defence
aaw_rafale_mission({ [1] = { longitude = '124.785975957675', name = 'RP-7685', latitude = '-8.77858383114559' },
                [2] = { longitude = '126.130776485244', name = 'RP-7686', latitude = '-8.7825350177012' },
                [3] = { longitude = '126.130840410624', name = 'RP-7687', latitude = '-9.5629327437411' },
                [4] = { longitude = '124.783625321022', name = 'RP-7688', latitude = '-9.5612136760773' } },"Raf Defence",
        {ab_SUL,ab_PAT})
ScenEdit_SetDoctrine({side=side_name,mission="Raf Defence"},{weapon_control_status_air=0})
ScenEdit_SetMission(side_name,"Raf Defence",{isactive=false})

-- no fly zone
noflyzone_area={ [1] = { longitude = '122.052595695481', name = 'NoFlyZone-1', latitude = '-10.7028883792539' },
                 [2] = { longitude = '123.428642984413', name = 'NoFlyZone-2', latitude = '-8.50786346344911' },
                 [3] = { longitude = '125.896982993916', name = 'NoFlyZone-3', latitude = '-7.50412987151605' },
                 [4] = { longitude = '127.987838224338', name = 'NoFlyZone-4', latitude = '-7.28516948274756' },
                 [5] = { longitude = '128.281102325217', name = 'NoFlyZone-5', latitude = '-8.8027016698774' },
                 [6] = { longitude = '126.41505083159', name = 'NoFlyZone-6', latitude = '-10.0484243218232' },
                 [7] = { longitude = '125.108807102869', name = 'NoFlyZone-7', latitude = '-11.023476246941' },
                 [8] = { longitude = '122.758219561265', name = 'NoFlyZone-8', latitude = '-11.3124490926048' } }
noflyzone_rps=aaw_falcon_mission(noflyzone_area,"No Fly Zone",{ab_ELT,ab_PAT})
mission = ScenEdit_GetMission(side_name,"No Fly Zone")
ScenEdit_SetDoctrine({side=side_name,mission="No Fly Zone"},{weapon_control_status_air=0})
noflyzone_units={south_aaa_1,south_aaa_2,south_aaa_3,south_aaa_4,star1,star2,star3,fob_earlywarning,tni_kob2,atambua_aaa1,atambua_aaa1}
for x=1,#noflyzone_units do
 ScenEdit_AssignUnitToMission(noflyzone_units[x].guid,mission.guid)
end
aew_mission(noflyzone_rps,'No Fly Zone-AEW',{ab_PAT})

-- bombing mission
falcon_rocket_mission(noflyzone_rps,'Bombing Mission',{ab_PAT})
ScenEdit_SetMission(side_name,"Bombing Mission",{isactive=false})

-- FOB zone
fob_rps = add_mission_area({ [1] = { longitude = '124.632288966858', name = 'RP-3620', latitude = '-9.28111674536885' },
            [2] = { longitude = '125.020479447347', name = 'RP-3621', latitude = '-8.90950141930569' },
            [3] = { longitude = '125.327648837697', name = 'RP-3622', latitude = '-9.09299124735793' },
            [4] = { longitude = '124.792523958222', name = 'RP-3623', latitude = '-9.51591931727508' } },'FOB')
ScenEdit_AddMission(side_name,"FOB Zone","Patrol",{type='land',zone=fob_rps.zone})
ScenEdit_SetMission(side_name,"FOB Zone", { isactive = true,
                                            OnStation = 1,
                                            OneThirdRule=false,
                                            CheckOPA=false,
                                            CheckWWR=true,
                                            ActiveEMCON=false,
                                            FlightSize=1,
                                            UseFlightSize=false,
                                            PatrolZone=fob_rps.zone})
mission = ScenEdit_GetMission(side_name,"FOB Zone")
for x=1,4 do
 unit = ScenEdit_GetUnit({side=side_name,name="TNI-31 #"..x}) -- helicopters from heliport unit
 ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
end
ScenEdit_SetDoctrine({side=side_name,mission="FOB Zone"},{
 weapon_control_status_land=0,
 weapon_control_status_air=0,
 weapon_control_status_surface=0,
 gun_strafing='Yes'
})

-- ground search
asuw_flanker_mission( { [1] = { name = 'DropZone-1', longitude = '125.362453222325', latitude = '-8.69474519966838' },
              [2] = { name = 'DropZone-2', longitude = '125.959097579764', latitude = '-8.60538992026281' },
              [3] = { name = 'DropZone-3', longitude = '125.985964081218', latitude = '-9.00723475122426' },
              [4] = { name = 'DropZone-4', longitude = '125.41070575223', latitude = '-9.13316009211675' } },
 "Search for Base",{ab_SUL,ab_ELT,ab_PAT})
mission = ScenEdit_GetMission(side_name,"Search for Base")
ScenEdit_SetDoctrine({side=side_name,mission="Search for Base"},{weapon_control_status_land=0})
ScenEdit_SetDoctrine({side=side_name,mission="Search for Base"},{weapon_control_status_air=0})
ScenEdit_SetDoctrine({side=side_name,mission="Search for Base"},{ engage_opportunity_targets=true, gun_strafing='Yes' })
for x=1,#search_units do -- add all the ground units
 unit=ScenEdit_GetUnit({side=side_name,name=search_units[x].name})
 ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
end
for x = 1,4 do -- add some search masters
 unit=ScenEdit_AddUnit({ type = 'Aircraft', side = side_name, dbid = 189, name ='TNI-N22S #'..x, base = ab_PAT.guid, loadoutid = 8962, autodetectable = 'False', proficiency = 'Veteran' })
 ScenEdit_AssignUnitToMission(unit.guid,mission.guid)
end

-- generic aaw missions

aaw1_area={
 [1] = { longitude = '127.61805914721', name = 'AAW-1 RP-1', latitude = '-7.92136479668142' },
 [2] = { longitude = '137.582376698941', name = 'AAW-1 RP-2', latitude = '-7.9493687478936' },
 [3] = { longitude = '137.587643771198', name = 'AAW-1 RP-3', latitude = '-8.66678067315112' },
 [4] = { longitude = '127.611062781722', name = 'AAW-1 RP-4', latitude = '-8.64531052359673' }}
aaw1_rps=aaw_flanker_mission(aaw1_area, 'AAW-1', {ab_PAT,ab_FRA})
ScenEdit_SetDoctrine({side=side_name,mission="AAW-1"},{weapon_control_status_air=1})
aew_mission(aaw1_rps,'AAW-1-AEW',{ab_PAT})

--aaw2_area={
-- [1] = { longitude = '111.403284356428', name = 'AAW-2 RP-1', latitude = '-5.87159430651437' },
-- [2] = { longitude = '123.30030141409', name = 'AAW-2 RP-2', latitude = '-7.85753389245798' },
-- [3] = { longitude = '121.531844324724', name = 'AAW-2 RP-3', latitude = '-11.0422895130153' },
-- [4] = { longitude = '111.051759745856', name = 'AAW-2 RP-4', latitude = '-9.15473845285679' } }
--aaw2_rps=aaw_flanker_mission(aaw2_area, 'AAW-2', {ab_SUL,ab_ELT})
--ScenEdit_SetDoctrine({side=side_name,mission="AAW-2"},{weapon_control_status_air=1})
--aew_mission(aaw2_rps,'AAW-2-AEW',{ab_SUL})

-- aggressive air mission
aaw3_area={ [1] = { name = 'AAW-3 RP-1', longitude = '123.556897667827', latitude = '-11.3095322053162' },
            [2] = { name = 'AAW-3 RP-2', longitude = '128.118560812699', latitude = '-8.53874587613788' },
            [3] = { name = 'AAW-3 RP-3', longitude = '131.06103344487', latitude = '-10.5957605906445' },
            [4] = { name = 'AAW-3 RP-4', longitude = '125.493907204633', latitude = '-13.7765250633995' } }
aaw3_rps=aaw_flanker_mission(aaw3_area, 'AAW-3',{ab_ELT,ab_SUL,ab_PAT})
mission=ScenEdit_GetMission(side_name,'AAW-3')
ScenEdit_SetMission(side_name,mission.name,{isactive=false,OnStation=4})

-- aggressive surface mission
asuwagg_rps=asuw2_flanker_mission(aaw3_rps, 'ASUW-AGG',{ab_SUL,ab_PAT,ab_FRA})
mission=ScenEdit_GetMission(side_name,'ASUW-AGG')
ScenEdit_SetMission(side_name,mission.name,{isactive=false})


-- tanker mission

tanker_mission({ [1] = { latitude = '-9.33682845021632', name = 'RP-4499', longitude = '123.827415553024' },
                [2] = { latitude = '-9.33924815630464', name = 'RP-4500', longitude = '124.480299988488' },
                [3] = { latitude = '-9.60406883012267', name = 'RP-4501', longitude = '124.479584622572' },
                [4] = { latitude = '-9.60226635210325', name = 'RP-4502', longitude = '123.826168807592' } },
        'TNK-1',{ab_ELT})
tanker_mission( {[1] = { latitude = '-7.14191389319936', name = 'RP-4933', longitude = '130.425115362369' },
                 [2] = { latitude = '-7.14470080220222', name = 'RP-4934', longitude = '133.568106433137' },
                 [3] = { latitude = '-7.48108713775667', name = 'RP-4935', longitude = '133.568445099454' },
                 [4] = { latitude = '-7.47860769856679', name = 'RP-4936', longitude = '130.424671598641' } },
        "TNK-2",{ab_PAT})


-- navy

navy= {
 { subtype = '3304', type = 'Ship', latitude = -8.87236441082152, longitude =  129.670834335119, autodectable = 'No', dbid = 3019, name = 'KRI Raden Eddy Martadinata' },
 { subtype = '3402', type = 'Ship', latitude = -8.89446732531308, longitude = 122.370394465892, autodectable = 'No', dbid = 2752, name = 'KRI Viper' },
 { subtype = '3402', type = 'Ship', latitude = -10.106230133818, longitude = 124.850412786727, autodectable = 'No', dbid = 2753, name = 'KRI Katon' },
 { subtype = '3402', type = 'Ship', latitude = -9.31169304329517, longitude = 123.596426387752, autodectable = 'No', dbid = 2753, name = 'KRI Patola' },
 { subtype = '3402', type = 'Ship', latitude = -9.60602797160267, longitude = 125.392764234438, autodectable = 'No', dbid = 2753, name = 'KRI Panana' },
 { subtype = '3402', type = 'Ship', latitude = -7.56330646490101, longitude = 127.038719698719, autodectable = 'No', dbid = 2753, name = 'KRI Sanca' },
 { subtype = '2008', type = 'Submarine', latitude = -8.90358081660866, longitude = 130.543703929776, autodectable = 'No', dbid = 583, name = 'KRI Cakra' },
 { subtype = '3406', type = 'Ship', latitude = -8.91094778111839, longitude = 129.707430916664, autodectable = 'No', dbid = 213, name = 'KRI Badik' },
 { subtype = '3303', type = 'Ship', latitude = -8.91284309482121, longitude = 129.675312920383, autodectable = 'No', dbid = 1146, name = 'KRI Abdul Halim' },
 { subtype = '3406', type = 'Ship', latitude = -8.91184398709747, longitude = 129.636369851727, autodectable = 'No', dbid = 2644, name = 'KRI Beladau' },
 { subtype = '9001', type = 'Ship', latitude = -10.5516957589008, longitude = 124.024001367257, autodectable = 'No', dbid = 328, name = 'Bonanza' },
 { subtype = '9001', type = 'Ship', latitude = -8.08553307355126, longitude = 121.54631979145, autodectable = 'No', dbid = 384, name = 'MV Silver Discoverer' },
 { subtype = '9002', type = 'Ship', latitude = -8.81581890504184, longitude = 128.722142342723, autodectable = 'No', dbid = 1317, name = 'BAHARI 116' },
 { subtype = '9001', type = 'Ship', latitude = -10.3947167703195, longitude = 123.060696233713, autodectable = 'No', dbid = 16, name = 'James Bond' },
 { subtype = '9001', type = 'Ship', latitude = -8.3882719647538, longitude = 130.656104878587, autodectable = 'No', dbid = 1787, name = 'Nelayan' },
 { subtype = '3406', name = 'KRI Tombak', type = 'Ship', longitude = 137.694604072658, dbid = 3426, latitude = -6.41636617128422, autodectable = 'No' },
 { subtype = '3406', name = 'KRI Halasan', type = 'Ship', longitude = 138.967237957037, dbid = 3428, latitude = -8.85659170693112, autodectable = 'No' },
 { name = 'KRI Sultan', dbid = 3076, longitude = 125.112073903292, autodectable = 'No', type = 'Ship', latitude = -9.48445555566695 }
}
for x = 1,#navy do
 unit=navy[x]
 unit.proficiency=math.random(3,4)
    unit.heading=0
 unit.speed=0
 unit.side=side_name
 new_unit=ScenEdit_AddUnit(unit)
 if unit.dbid == 1146 then
  set_random_fuel(new_unit,3002,0.5) -- oil
 else
  set_random_fuel(new_unit,3001,0.5)
 end
end
kri_abdul=ScenEdit_GetUnit({side=side_name,name="KRI Abdul Halim"})
kri_beladau=ScenEdit_GetUnit({side=side_name,name="KRI Beladau"})
kri_badik=ScenEdit_GetUnit({side=side_name,name="KRI Badik"})
kri_raden=ScenEdit_GetUnit({side=side_name,name="KRI Raden Eddy Martadinata"})
kri_sultan=ScenEdit_GetUnit({side=side_name,name="KRI Sultan"})
kri_sultan.heading=math.random(0,359)
add_all_to_group({kri_abdul,kri_beladau,kri_badik,kri_raden},"KRI Task Group Security")
task_group=ScenEdit_GetUnit({guid=kri_abdul.group.guid})
ScenEdit_UpdateUnit({guid=task_group.guid,course={{ longitude = 126.001022674119, latitude = -9.80302804384955}},throttle='Full'})
ScenEdit_SetEMCON('Unit',task_group.guid,'Radar=Active')
ScenEdit_SetEMCON('Unit',kri_sultan.guid,'Radar=Active')
ScenEdit_UpdateUnit({side=side_name,name="MV Silver Discoverer",course={ {  longitude = 130.604930042907, latitude = -12.1783550940252}  }})
ScenEdit_UpdateUnit({side=side_name,name="Bonanza",course={ {  longitude = 124.961138329083, latitude = -9.81298527533118 }  }})
ScenEdit_UpdateUnit({side=side_name,name="James Bond",course={ {  longitude = 123.558915696154, latitude = -10.0849593889293 }  }})
ScenEdit_UpdateUnit({side=side_name,name="BAHARI 116",course={ { longitude = 123.547862521616, latitude = -10.1034685721789 }  }})
ScenEdit_UpdateUnit({side=side_name,name="Nelayan",course={ { longitude = 125.7150807362, latitude = -8.45171501751056 }  }})
destruction_points(kri_abdul,10)
destruction_points(kri_beladau,10)
destruction_points(kri_badik,10)
destruction_points(kri_raden,10)
damaged_points(kri_abdul,1,1)
damaged_points(kri_beladau,1,1)
damaged_points(kri_badik,1,1)
damaged_points(kri_raden,1,1)


-- patrol for west waters
asuw_1 =  { [1] = { longitude = '120.491928324589', name = 'RP-5977', latitude = '-9.04572830759613' },
                                   [2] = { longitude = '124.344217466091', name = 'RP-5978', latitude = '-8.59958351705133' },
                                   [3] = { longitude = '124.436591130526', name = 'RP-5979', latitude = '-9.09470186865413' },
                                   [6] = { longitude = '121.123861008996', name = 'RP-5980', latitude = '-10.8224606726013' },
                                   [5] = { longitude = '123.048583765801', name = 'RP-5981', latitude = '-10.5899521235771' },
                                   [4] = { longitude = '123.4918292622', name = 'RP-5982', latitude = '-9.55903309652986' } }
sea_patrol(asuw_1,"ASUW-1",{"KRI Viper","KRI Patola"})

asuw_2 = { [1] = { longitude = '123.568048453041', name = 'RP-5983', latitude = '-10.4547763087027' },
           [2] = { longitude = '125.392829719856', name = 'RP-5984', latitude = '-9.38617898759797' },
           [3] = { longitude = '125.73238400689', name = 'RP-5985', latitude = '-10.0218842160758' },
           [4] = { longitude = '122.910709965721', name = 'RP-5986', latitude = '-11.3703451514899' } }
sea_patrol(asuw_2,"ASUW-2",{"KRI Katon","KRI Panana"})

asuw_3 = { [1] = { longitude = '125.171671690637', name = 'RP-5987', latitude = '-7.21191097915949' },
           [2] = { longitude = '130.919608760449', name = 'RP-5988', latitude = '-7.19247050203135' },
           [3] = { longitude = '130.918231509965', name = 'RP-5989', latitude = '-8.092298271798' },
           [4] = { longitude = '125.172505653128', name = 'RP-5990', latitude = '-8.10484971139619' } }
sea_patrol(asuw_3,"ASUW-3",{"KRI Sanca"})

asuw_4 = { [1] = { longitude = '129.515622206199', name = 'RP-5991', latitude = '-8.5301965888929' },
           [2] = { longitude = '130.57995474493', name = 'RP-5992', latitude = '-8.5315345657968' },
           [3] = { longitude = '130.580685975615', name = 'RP-5993', latitude = '-9.88703994341217' },
           [4] = { longitude = '129.513854575146', name = 'RP-5994', latitude = '-9.8865113787413' } }
sea_patrol(asuw_4,"ASUW-4",{"KRI Cakra"})

asuw_5 = { [1] = { name = 'RP-3969', latitude = '-5.5697177615757', longitude = '136.91553975406' },
           [2] = { name = 'RP-3970', latitude = '-8.47222465394577', longitude = '137.437309829927' },
           [3] = { name = 'RP-3971', latitude = '-9.43461392991458', longitude = '140.75789431192' },
           [4] = { name = 'RP-3972', latitude = '-9.43545870887077', longitude = '135.205096270416' } }
sea_patrol(asuw_5,"ASUW-5",{"KRI Tombak","KRI Halasan"})

-- Radar
satrad_units = {
 {type = 'Facility', dbid = '989', name = 'Satrad 222', side = side_name, proficiency = 'Ace', latitude = '-7.27583919381154', longitude = '112.267200686146', autodetectable = 'True'},
 {type = 'Facility', dbid = '989', name = 'Satrad 221', side = side_name, proficiency = 'Ace', latitude = '-8.37413517114682', longitude = '112.601664383133', autodetectable = 'True'},
 {type = 'Facility', dbid = '559', name = 'Satrad 226', side = side_name, proficiency = 'Ace', latitude = '-10.2575867828569', longitude = '123.855388112233', autodetectable = 'True'},
 {type = 'Facility', dbid = '1235',name = 'Satrad 245', side = side_name, proficiency = 'Ace', latitude = '-7.89008430799082', longitude = '131.281006951831', autodetectable = 'False'},
 {type = 'Facility', dbid = '989', name = 'Satrad 223', side = side_name, proficiency = 'Ace', latitude = '-1.08666793770826', longitude = '116.842529896784', autodetectable = 'True'},
 {type = 'Facility', dbid = '3283',name = 'Satrad 224', side = side_name, proficiency = 'Ace', latitude = '0.82221812423168', longitude = '123.013373029443', autodetectable = 'False'},
 {type = 'Facility', dbid = '1235',name = 'Satrad 242', side = side_name, proficiency = 'Ace', latitude = '-0.842679528936059', longitude = '135.971013567462', autodetectable = 'False'},
 {type = 'Facility',dbid = '1235', name = 'Satrad 243', side = side_name, proficiency = 'Ace', latitude = '-4.7494540900765', longitude = '136.770371995521', autodetectable = 'False'},
 {type = 'Facility',dbid = '1235', name = 'Satrad 244', side = side_name, proficiency = 'Ace', latitude = '-8.46992363077063', longitude = '140.593537497036', autodetectable = 'False'}
}
add_units(satrad_units)
for x=1,#satrad_units do
 unit=ScenEdit_GetUnit({side=side_name,name=satrad_units[x].name})
 ScenEdit_SetEMCON('Unit',unit.guid,'Radar=Active')
 destruction_points(unit,5)
 damaged_points(unit,1,1)
end

-- ABADI 1 

abadi_1 = ScenEdit_AddUnit({type = 'Ship', dbid = '377', name = 'ABADI-1',side = side_name, latitude = '-9.06973145165589', longitude = '130.016972084361', autodetectable = 'True' })
wreckage = ScenEdit_AddUnit({type = 'Ship', dbid = '3122', name = 'Floating Wreckage', side = side_name, latitude = '-9.04277208181574', longitude = '129.989284707265', heading = math.random(0,359), autodetectable = 'False'})
ScenEdit_SetEMCON('Unit',abadi_1.guid,'Radar=Active')
destruction_points(abadi_1,10)
detection_points(wreckage,20)


-- triggers, actions and events

-- trigger the raf defence mission when AUS enters no fly zone
nfz_area = {}
for x=1,8 do
 table.insert(nfz_area,"No Fly Zone RP-"..x)
end
ScenEdit_SetTrigger({
 mode='add',
 type='UnitDetected',
 name='AUS AC Detected Trigger',
 DetectorSideID=side_name,
 MCL=1,
 area=nfz_area,
 targetfilter={
  TargetSide=side_AUS_name,
  TargetType='Aircraft',
 }
})

ScenEdit_SetAction({
 mode='add',
 type='LuaScript',
 name='AUS AC Detected Action',
 scripttext='ScenEdit_SetMission("'..side_name..'","Raf Defence",{isactive=true})'
})

ScenEdit_SetEvent('AUS AC Detected',{mode='add'})
ScenEdit_SetEventTrigger('AUS AC Detected',{mode='add',name='AUS AC Detected Trigger'})
ScenEdit_SetEventAction('AUS AC Detected',{mode='add',name='AUS AC Detected Action'})

-- trigger retaliation bombings if FOB infrastructure is damaged
ScenEdit_SetAction({
 mode='add',
 type='LuaScript',
 name='FOB Damaged Action',
 scripttext='ScenEdit_SetMission("'..side_name..'","Bombing Mission",{isactive=true})'
})
ScenEdit_SetEvent('Event FOB Damaged',{mode='add'})
for x=1,#fob_units do
 unit=ScenEdit_GetUnit({side=side_name,name=fob_units[x].name})
 ScenEdit_SetEventTrigger('Event FOB Damaged',{mode='add',name='Trigger '..unit.name..' Damaged'})
end
ScenEdit_SetEventAction('Event FOB Damaged',{mode='add',name='FOB Damaged Action'})

-- trigger hostile missions when AUS becomes hostile
ScenEdit_SetTrigger({
 mode='add',
 type='RegularTime',
 interval=3, -- 30 seconds
 name='Regular 30s Trigger'
})
ScenEdit_SetCondition({mode='add',
                       type='SidePosture',
                       name='AUS Hostility Condition',
                       ObserverSideId=side_name,
                       TargetSideId=side_AUS_name,
                       targetposture='hostile'}) -- IND considers AUS as hostile
ScenEdit_SetAction({
 mode='add',
 type='LuaScript',
 name='AUS Hostility Action',
 scripttext='ScenEdit_SetMission("'..side_name..'","AAW-3",{isactive=true})\r\n'..
         ' ScenEdit_SetMission("'..side_name..'","Bombing Mission",{isactive=true})\r\n'..
         ' ScenEdit_SetEvent("Event AUS Hostility",{mode="update",isactive=false})'

})
ScenEdit_SetEvent('Event AUS Hostility',{mode='add',isrepeatable=true})
ScenEdit_SetEventTrigger('Event AUS Hostility',{mode='add',name='Regular 30s Trigger'})
ScenEdit_SetEventCondition('Event AUS Hostility',{mode='add',name='AUS Hostility Condition'})
ScenEdit_SetEventAction('Event AUS Hostility',{mode='add',name='AUS Hostility Action'})

--trigger aggressive surface attack if main infrastructure is damaged
ScenEdit_SetAction({
    mode='add',
    type='LuaScript',
    name='Infrastructure Damaged Action',
    scripttext='ScenEdit_SetMission("'..side_name..'","ASUW-AGG",{isactive=true})'
})
ScenEdit_SetEvent('Event Infrastructure Damaged',{mode='add'})
ScenEdit_SetEventAction('Event Infrastructure Damaged',{mode='add',name='Infrastructure Damaged Action'})
ScenEdit_SetEventTrigger('Event Infrastructure Damaged',{mode='add',name='Trigger Kupang Dock Damaged'})
ScenEdit_SetEventTrigger('Event Infrastructure Damaged',{mode='add',name='Trigger Besikama Port Damaged'})
ScenEdit_SetEventTrigger('Event Infrastructure Damaged',{mode='add',name='Trigger Kupang Military Base Damaged'})
for x=1,#ab_units do
    unit=ScenEdit_GetUnit({side=side_name,name=ab_units[x].name})
    ScenEdit_SetEventTrigger('Event Infrastructure Damaged',{mode='add',name='Trigger '..unit.name..' Damaged'})
end
for x=1,#satrad_units do
    unit=ScenEdit_GetUnit({side=side_name,name=satrad_units[x].name})
    ScenEdit_SetEventTrigger('Event Infrastructure Damaged',{mode='add',name='Trigger '..unit.name..' Damaged'})
end

-- junk
n = math.random(3,5)
ScenEdit_SetKeyValue("JunkN",""..n)
for x = 1,n do
 unit=ScenEdit_AddUnit({
  subtype = '9001',
  type = 'Ship',
  side = side_name,
  latitude = -9.16246142874553+math.random()*0.2-0.1,
  longitude = 129.825482829785+math.random()*0.2-0.1,
  autodectable = 'No',
  dbid = 3270,
  heading = math.random(0,359),
  name = 'Lost Shipping Container #'..x
 })
 detection_points(unit,1)
end

-- pirate

pirate=ScenEdit_AddUnit({
 subtype = '9001',
 type = 'Ship',
 name = 'Innocent 1',
 side = side_name,
 autodectable = 'No',
 latitude = -9.16246142874553+math.random()*0.2-0.1,
 longitude = 129.825482829785+math.random()*0.2-0.1,
 dbid = 2405
})
ScenEdit_UpdateUnit({guid=pirate.guid,course={{ longitude = 131.146092405102, latitude = -8.05009302966337 }}})
detection_points(pirate,10)
build_munitions()