side_name = VP_GetSides()[1].name
ScenEdit_SetDoctrine({side=side_name},{
    quick_turnaround_for_aircraft=0,
    air_operations_tempo=0
})
math.randomseed(os.time())

local function add_all_to_group(units,group_name)
    for x = 1,#units do
        units[x].group=group_name
    end
end

local function set_random_fuel(unit,fuel_guid,at_least)
    fuel=unit.fuel
    fuel[fuel_guid].current=fuel[fuel_guid].max*at_least+math.random()*fuel[fuel_guid].max*(1-at_least)
    unit.fuel=fuel
end

munitions={
    requests={},
    number={}
}

local function compile_munitions(data)
    table.insert(munitions.requests,data)
    key="max_"..data.side.."_"..data.unitname.."_"..data.mag_guid.."_"..data.wpn_dbid
    if munitions.number[key] == nil then
        munitions.number[key] = data.number
    else
        munitions.number[key] = munitions.number[key]+data.number
    end
    if munitions.number[key]>10000 then
        munitions.number[key]=10000
    end
end

local function build_munitions()
    for x = 1,#munitions.requests do
        data = munitions.requests[x]
        key="max_"..data.side.."_"..data.unitname.."_"..data.mag_guid.."_"..data.wpn_dbid
        data.maxcap = munitions.number[key]
        ScenEdit_AddWeaponToUnitMagazine(data)
    end
end

local function destruction_points(unit,points)
    ScenEdit_SetTrigger({
        mode='add',
        type='UnitDestroyed',
        name='Trigger '..unit.name..' Destroyed',
        targetfilter={
            specificunitid=unit.guid
        }
    })
    ScenEdit_SetAction({
        mode='add',
        type='Points',
        name='Action '..unit.name..' Destroyed',
        SideID=side_AUS.name,
        PointChange=points
    })
    ScenEdit_SetEvent('Event '..unit.name..' Destroyed',{mode='add'})
    ScenEdit_SetEventTrigger('Event '..unit.name..' Destroyed',
            {mode='add',name='Trigger '..unit.name..' Destroyed'})
    ScenEdit_SetEventAction('Event '..unit.name..' Destroyed',
            {mode='add',name='Action '..unit.name..' Destroyed'})
end

-- Top secret bunker and support
mao_bunker = ScenEdit_AddUnit({ type = 'Facility', dbid = '946', name = 'Maobisse Bunker', side = side_name, proficiency = 'Regular', latitude = '-8.81959593036617', longitude = '125.726826589915', autodetectable = 'False' })
destruction_points(mao_bunker,-50)
ScenEdit_SetAction({
    mode='add',
    type='EndScenario',
    name='Bunker and Personnel Destroyed Action',
})
ScenEdit_SetAction({
    mode='add',
    type='Points',
    name='Bunker and Personnel Destroyed Penalty Action',
    SideID=side_name,
    PointChange=-50
})
ScenEdit_SetCondition({
    mode='add',
    type='LuaScript',
    name='Bunker Not Evacuated',
    scripttext='x=ScenEdit_GetKeyValue("Evacuated")\r\n'..
                'if x == "False" then\r\n'..
                ' return true\r\n'..
                'end\r\n'..
                'return false\r\n'
})
ScenEdit_SetEvent('Event Bunker and Personnel Destroyed',{mode='add'})
ScenEdit_SetEventTrigger('Event Bunker and Personnel Destroyed',{mode='add',name='Trigger Maobisse Bunker Destroyed'})
ScenEdit_SetEventCondition('Event Bunker and Personnel Destroyed',{mode='add',name='Bunker Not Evacuated'})
ScenEdit_SetEventAction('Event Bunker and Personnel Destroyed',{mode='add',name='Bunker and Personnel Destroyed Penalty Action'})
ScenEdit_SetEventAction('Event Bunker and Personnel Destroyed',{mode='add',name='End the scenario'})


recon1 = ScenEdit_AddUnit({ type = 'Facility', dbid = '3222', name = 'Recon #1', side = side_name, proficiency = 'Ace', latitude = '-8.83323305568155', longitude = '125.71769729634', autodetectable = 'False' })

-- make sure it doesn't shoot at IND without player intervention
ScenEdit_SetDoctrine({guid=recon1.guid},{weapon_control_status_air=2})

recon2 = ScenEdit_AddUnit({ type = 'Facility', dbid = '143', name = 'Recon #2', side = side_name, proficiency = 'Ace', latitude = '-8.85575982383947', longitude = '125.746119752927', autodetectable = 'False' })
recon3 = ScenEdit_AddUnit({ type = 'Facility', dbid = '364', name = 'Recon #3', side = side_name, proficiency = 'Ace', latitude = '-8.95446249176655', longitude = '125.266993226117', autodetectable = 'False' })
recon4 = ScenEdit_AddUnit({ autodectable = 'No', dbid = 1904, name = 'Recon #4', latitude = -9.22720967802767, longitude = 125.090409204304, type = 'Facility', proficiency = 'Ace', side = side_name})
ammo_bunker=ScenEdit_AddUnit({ type = 'Facility', dbid = '325', name = 'Maobisse Ammo Bunker', side = side_name, proficiency = 'Regular', latitude = '-8.83643048568008', longitude = '125.731251753879', autodetectable = 'False' })

add_all_to_group({mao_bunker,
                  recon1,
                  recon2,
                  recon3,
                  ammo_bunker},"Maobisse Intelligence")

compile_munitions({side=side_name,unitname="Maobisse Ammo Bunker",
    mag_guid=ammo_bunker.magazines[1].mag_guid,wpn_dbid=2771,number=12,maxcap=12,new=true})-- MIM-120C-7 NASAMS II [AMRAAM]
compile_munitions({side=side_name,unitname="Maobisse Ammo Bunker",
    mag_guid=ammo_bunker.magazines[1].mag_guid,wpn_dbid=1415,number=1000,maxcap=1000,new=true}) -- 7.62mm MG Burst [20 rnds]

-- Commercial Platforms

elang=ScenEdit_AddUnit({ type = 'Ship', dbid = '484', name = 'Elang/Kakatua', side = side_name, proficiency = 'Regular', latitude = '-9.8486269347892', longitude = '126.620452091021', autodetectable = 'True' })
ScenEdit_SetEMCON('Unit',elang.guid,'Radar=Active')
buffalo=ScenEdit_AddUnit({ type = 'Ship', dbid = '484', name = 'Buffalo', side = side_name, proficiency = 'Regular', latitude = '-9.88909102809916', longitude = '126.141196647634', autodetectable = 'True' })
ScenEdit_SetEMCON('Unit',buffalo.guid,'Radar=Active')
laminaria=ScenEdit_AddUnit({ type = 'Ship', dbid = '1586', name = 'Laminaria', side = side_name, proficiency = 'Regular', latitude = '-9.95624802979286', longitude = '125.94271947227', autodetectable = 'True' })
ScenEdit_SetEMCON('Unit',laminaria.guid,'Radar=Active')
jabiru=ScenEdit_AddUnit({ type = 'Ship', dbid = '484', name = 'Jabiru', side = side_name, proficiency = 'Regular', latitude = '-12.1127554390912', longitude = '124.835688548337', autodetectable = 'True' })
ScenEdit_SetEMCON('Unit',jabiru.guid,'Radar=Active')
challis=ScenEdit_AddUnit({ type = 'Ship', dbid = '1586', name = 'Challis', side = side_name, proficiency = 'Regular', latitude = '-12.305213725073', longitude = '124.970178992722', autodetectable = 'True' })
ScenEdit_SetEMCON('Unit',challis.guid,'Radar=Active')

-- HMAS Ports

nb_COO = ScenEdit_AddUnit({ type = 'Facility', dbid = '210', name = 'HMAS Coonawarra', side = side_name, proficiency = 'Ace', latitude = '-12.4580444552712', longitude = '130.820003482954', heading = '345', autodetectable = 'True', })

sub_rankin = ScenEdit_AddUnit({ type = 'Submarine', dbid = '294', name = 'HMAS Rankin', side = side_name, proficiency = 'Regular', latitude = '-12.8413812832425', longitude = '128.361836338156', altitude = '-37.94226', autodetectable = 'False', heading = math.random(0,359) })
destruction_points(sub_rankin,-50)
set_random_fuel(sub_rankin,3001,0.5) -- Diesel
set_random_fuel(sub_rankin,4001,0.5) -- Battery

sub_coburg = ScenEdit_AddUnit({ type = 'Submarine', dbid = '678', name = 'HMAS Coburg', side = side_name, proficiency = 'Regular', latitude = '-10.6288900997389', longitude = '136.594869619292', altitude = '-37.94027', autodetectable = 'False', heading = math.random(0,359) })
destruction_points(sub_coburg,-75)

-- task group Solomon

hmas_hobart=ScenEdit_AddUnit({ type = 'Ship', dbid = '2068', name = 'HMAS Hobart', side = side_name, proficiency = 'Veteran', latitude = '-11.1375867815964', longitude = '128.753388181264', throttle = 'FullStop', autodetectable = 'False'})
set_random_fuel(hmas_hobart,3001,0.5) -- Diesel
destruction_points(hmas_hobart,-30)
for x = 7,7 do
    ScenEdit_AddUnit({ type="Aircraft", name="Blackjack Hob#"..x, side=side_name, dbid=713, loadoutid=6523, base=hmas_hobart.guid })
end

ship_armidale = ScenEdit_AddUnit({ type = 'Ship', dbid = '226', name = 'HMAS Armidale', side = side_name, proficiency = 'Veteran', latitude = '-11.6126827462837', longitude = '134.350481295605', autodetectable = 'False', heading = math.random(0,359) })
destruction_points(ship_armidale,-20)
set_random_fuel(ship_armidale,3001,0.5) -- Diesel
for x = 1,2 do
    ScenEdit_AddUnit({ type="Ship", name="RHIB  Arm#"..x, side=side_name, dbid=3126, base=ship_armidale.guid })
end

ship_parramatta = ScenEdit_AddUnit({ type = 'Ship', dbid = '592', name = 'HMAS Parramatta', side = side_name, proficiency = 'Regular', latitude = '-11.1367564515357', longitude = '128.694690298419', autodetectable = 'False' })
set_random_fuel(ship_parramatta,3001,0.5) -- Diesel
for x = 1,1 do
    ScenEdit_AddUnit({ type="Aircraft", name="Guantlet Par#"..x, side=side_name, dbid=3202, loadoutid=26455, base=ship_parramatta.guid })
end
destruction_points(ship_parramatta,-20)
for x = 1,1 do
    ScenEdit_AddUnit({ type="Ship", name="RHIB  Par#"..x, side=side_name, dbid=3126, base=ship_parramatta.guid })
end

ship_melbourne = ScenEdit_AddUnit({ name = 'HMAS Melbourne', dbid = 2608, longitude = 128.803184833223, autodectable = 'No', type = 'Ship', side = side_name, latitude = -11.1367371992198 })
destruction_points(ship_melbourne,-20)
set_random_fuel(ship_melbourne,3003,0.5) -- Gas
set_random_fuel(ship_melbourne,2001, 0.5) -- Aviation
for x = 7,8 do
    ScenEdit_AddUnit({ type="Aircraft", name="Patriot Mel#"..x, side=side_name, dbid=3179, loadoutid=17004, base=ship_melbourne.guid })
end

add_all_to_group({hmas_hobart,
                  ship_melbourne,
                  ship_parramatta},
        "Task Group Solomon")
hmas_hobart.group.lead = hmas_hobart.guid

local function add_airbase(dbid,name,proficiency,latitude,longitude,heading,autodetectable)
    unit = ScenEdit_AddUnit({type='Facility',dbid=dbid,name=name,side=side_name,proficiency=proficiency,latitude=latitude,longitude=longitude,heading=heading,autodetectable=autodetectable})
    return unit
end

local function add_aircraft(dbid,name,loadoutid,proficiency,base,autodetectable)
    unit = ScenEdit_AddUnit({type='Aircraft',dbid=dbid,name=name,side=side_name,loadoutid=loadoutid,proficiency=proficiency,base=base,autodetectable=autodetectable})
    return unit
end

-- RAAF Bases
raaf_tindal = add_airbase( '1877',  'RAAF Base Tindal',  'Ace',  '-14.5178807538026', '132.382818246076', math.random(0,359), 'True' )
raaf_darwin = add_airbase('1877', 'RAAF Base Darwin',  'Ace', '-12.4123459986215', '130.876884963992', math.random(0,359), 'True' )
raaf_amberley = add_airbase('1713', 'RAAF Base Amberley','Ace', 'S 27.38.26', 'E 152.42.43',  math.random(0,359), 'True' )
raaf_townsville = add_airbase('1710', 'RAAF Base Townsville','Ace', 'S 19.15.12', 'E 146.45.54', math.random(0,359), 'True' )
raaf_sherger = add_airbase('1877', 'RAAF Base Sherger','Regular', 'S 12.37.42', 'E 142.05.12', math.random(0,359), 'True' )

unit = add_aircraft(3446,'Blackcat #1',17759,math.random(1,3),raaf_sherger.guid,'False')
destruction_points(unit,-5)

local function super_hornet_loadouts(airbase,num_ac,num_sorties)
    mag_guid=ab.magazines[1].mag_guid
    ab_name=ab.name
    num = num_ac*num_sorties
    -- 2021 (dbid 5018)
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1065,number=4*num,maxcap=4*num,new=true}) -- 20mm/85 M61A2 Vulcan Burst [100 rnds]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=564,number=12*num,maxcap=12*num,new=true}) -- Generic Chaff Salvo [5x Cartridges]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2051,number=12*num,maxcap=12*num,new=true}) -- Generic Flare Salvo [3x Cartridges, Dual Spectral]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2959,number=3*num,maxcap=3*num,new=true}) -- AN/ALE-55 FOTD
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=952,number=2*num,maxcap=2*num,new=true}) -- 480 USG Drop Tank
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=718,number=6*num,maxcap=6*num,new=true}) -- AIM-120C-7 AMRAAM P3I.3
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=945,number=6*num,maxcap=6*num,new=true}) -- AIM-9X Sidewinder
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=824,number=num_ac,maxcap=num_ac,new=true}) -- AN/ASQ-228 Terminator II ATFLIR [FLIR + LRMTS, 40k ft]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=3042,number=4*num,maxcap=4*num,new=true}) -- AGM-154C-1 JSOW [BROACH]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=826,number=4*num,maxcap=4*num,new=true}) -- AGM-154C JSOW [BROACH]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1906,number=4*num,maxcap=4*num,new=true}) -- GBU-12D/B Paveway II LGB [Mk82]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1839,number=4*num,maxcap=4*num,new=true}) -- Mk84 2000lb LDGP
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=160,number=76*num,maxcap=76*num,new=true}) -- CRV-7 C14 70mm Rocket
    -- 2020 LRASM (dbid 4943) and 2017 (dbid 3857)
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1920,number=56,maxcap=56,new=true}) -- GBU-10E/B Paveway II LGB [Mk84]
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1840,number=32,maxcap=32,new=true}) -- AGM-84D Harpoon IC
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=649,number=32,maxcap=32,new=true}) -- AGM-88C HARM
    compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1134,number=320,maxcap=320,new=true}) -- AGM-88E AARGM

end

ab = raaf_darwin
ab_name = ab.name
mag_guid=ab.magazines[1].mag_guid
super_hornet_loadouts(raaf_darwin,8,5)
ScenEdit_UpdateUnitCargo({guid=ab.guid, mode='add_cargo', cargo={{4,2030}, -- 105mm/32 M102 Towed Howitzer
                                                                 {84,357}, -- 7.62mm MG crew 3
                                                                 {84,132}, -- 81mm Mortar (120 Rounds) crew 3
                                                                 {2,128}, -- RB 70 Bolide MANPADS (2006)
                                                                 {10,2373}, -- HMMWV
                                                                 {64,2884}, -- Infantry Section [7.62mm MG/Unguided Anti Tank Weapon]
}})
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1840,number=480,maxcap=480,new=true}) -- 20mm/85 M61A1 Vulcan Burst [100 rnds]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=564,number=480,maxcap=480,new=true}) -- Generic Chaff Salvo [5x Cartridges]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=560,number=680,maxcap=680,new=true}) -- Generic Flare Salvo [3x Cartridges, Single Spectral]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=446,number=32,maxcap=32,new=true}) -- AIM-120B AMRAAM
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1384,number=32,maxcap=32,new=true}) -- AIM-9M Sidewinder
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1755,number=32,maxcap=32,new=true}) -- AIM-132A ASRAAM
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1840,number=32,maxcap=32,new=true}) -- AGM-84D Harpoon IC
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1522,number=56,maxcap=56,new=true}) -- 330 USG Drop Tank
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=160,number=380,maxcap=380,new=true}) -- CRV-7 C14 70mm Rocket
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1883,number=10,maxcap=10,new=true}) -- AN/AAS-38B NITE Hawk Pod [FLIR+LRMTS+LST,12k ft]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=544,number=10,maxcap=10,new=true}) -- AN/AAQ-28(V)4 Litening AT Pod [FLIR+LRMTS+LST,50k ft]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1814,number=48,maxcap=48,new=true}) -- Mk82 500lb LDGP
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=74,number=28,maxcap=28,new=true}) -- GBU-12B/B Paveway II LGB [Mk82]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=920,number=28,maxcap=28,new=true}) -- AGM-158A JASSM [Penetrator]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=826,number=28,maxcap=28,new=true}) -- AGM-154C JSOW [BROACH]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1718,number=480,maxcap=480,new=true}) -- 25mm GAU-22/A Equalizer Burst [30 rnds]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=3386,number=160,maxcap=160,new=true}) -- AN/ALE-70 FOTD
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2855,number=320,maxcap=320,new=true}) -- GBU-53/B SDB-II


ab = raaf_tindal
ab_name = ab.name
mag_guid=ab.magazines[1].mag_guid
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1840,number=480,maxcap=480,new=true}) -- 20mm/85 M61A1 Vulcan Burst [100 rnds]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=564,number=480,maxcap=480,new=true}) -- Generic Chaff Salvo [5x Cartridges]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=560,number=680,maxcap=680,new=true}) -- Generic Flare Salvo [3x Cartridges, Single Spectral]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=446,number=32,maxcap=32,new=true}) -- AIM-120B AMRAAM
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1384,number=32,maxcap=32,new=true}) -- AIM-9M Sidewinder
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1755,number=32,maxcap=32,new=true}) -- AIM-132A ASRAAM
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1840,number=32,maxcap=32,new=true}) -- AGM-84D Harpoon IC
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1522,number=56,maxcap=56,new=true}) -- 330 USG Drop Tank
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=160,number=380,maxcap=380,new=true}) -- CRV-7 C14 70mm Rocket
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1883,number=10,maxcap=10,new=true}) -- AN/AAS-38B NITE Hawk Pod [FLIR+LRMTS+LST,12k ft]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=544,number=10,maxcap=10,new=true}) -- AN/AAQ-28(V)4 Litening AT Pod [FLIR+LRMTS+LST,50k ft]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1814,number=48,maxcap=48,new=true}) -- Mk82 500lb LDGP
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=74,number=28,maxcap=28,new=true}) -- GBU-12B/B Paveway II LGB [Mk82]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=920,number=28,maxcap=28,new=true}) -- AGM-158A JASSM [Penetrator]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=826,number=28,maxcap=28,new=true}) -- AGM-154C JSOW [BROACH]
ScenEdit_UpdateUnitCargo({guid=ab.guid, mode='add_cargo', cargo={{4,2031}, -- 105mm/37 L118 Towed Light Gun
                                                                 {84,357}, -- 7.62mm MG crew 3
                                                                 {10,2513}, -- FGM-148 Javelin (ATGM Team)
                                                                 {2,128}, -- RB 70 Bolide MANPADS (2006)
                                                                 {10,2373}, -- HMMWV
                                                                 {64,2884}, -- Infantry Section [7.62mm MG/Unguided Anti Tank Weapon]
}})
super_hornet_loadouts(raaf_tindal,8,5)

ab = raaf_amberley
ab_name = ab.name
mag_guid=ab.magazines[1].mag_guid
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1065,number=480,maxcap=480,new=true}) -- 20mm/85 M61A2 Vulcan Burst [100 rnds]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=564,number=680,maxcap=680,new=true}) -- Generic Chaff Salvo [5x Cartridges]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2051,number=880,maxcap=880,new=true}) -- Generic Flare Salvo [3x Cartridges, Dual Spectral]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2959,number=240,maxcap=240,new=true}) -- AN/ALE-55 FOTD
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=952,number=240,maxcap=240,new=true}) -- 480 USG Drop Tank
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=718,number=480,maxcap=480,new=true}) -- AIM-120C-7 AMRAAM P3I.3
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=945,number=160,maxcap=160,new=true}) -- AIM-9X Sidewinder
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=824,number=10,maxcap=10,new=true}) -- AN/ASQ-228 Terminator II ATFLIR [FLIR + LRMTS, 40k ft]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=3042,number=10,maxcap=10,new=true}) -- AGM-154C-1 JSOW [BROACH]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=826,number=28,maxcap=28,new=true}) -- AGM-154C JSOW [BROACH]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1840,number=32,maxcap=32,new=true}) -- AGM-84D Harpoon IC
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=649,number=32,maxcap=32,new=true}) -- AGM-88C HARM
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1134,number=320,maxcap=320,new=true}) -- AGM-88E AARGM
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1906,number=56,maxcap=56,new=true}) -- GBU-12D/B Paveway II LGB [Mk82]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1839,number=48,maxcap=48,new=true}) -- Mk84 2000lb LDGP
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=160,number=380,maxcap=380,new=true}) -- CRV-7 C14 70mm Rocket
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1920,number=56,maxcap=56,new=true}) -- GBU-10E/B Paveway II LGB [Mk84]
ScenEdit_UpdateUnitCargo({guid=ab.guid, mode='add_cargo', cargo={{4,2030}, -- 105mm/32 M102 Towed Howitzer
                                                                 {84,357}, -- 7.62mm MG crew 3
                                                                 {84,132}, -- 81mm Mortar (120 Rounds) crew 3
                                                                 {2,128}, -- RB 70 Bolide MANPADS (2006)
                                                                 {10,2373}, -- HMMWV
                                                                 {64,2884}, -- Infantry Section [7.62mm MG/Unguided Anti Tank Weapon]
}})
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=1718,number=480,maxcap=480,new=true}) -- 25mm GAU-22/A Equalizer Burst [30 rnds]
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=3386,number=160,maxcap=160,new=true}) -- AN/ALE-70 FOTD
compile_munitions({side=side_name,unitname=ab_name,mag_guid=mag_guid,wpn_dbid=2855,number=320,maxcap=320,new=true}) -- GBU-53/B SDB-II

-- Sea Hawk

for x = 1,2 do
    unit=ScenEdit_AddUnit({
        type = 'Aircraft',
        dbid = 713,
        loadoutid = 6524,
        name = 'Blackjack #'..x,
        base = raaf_darwin.guid,
        autodetectable = 'False',
        proficiency = math.random(3,4),
        side = side_name
    })
    destruction_points(unit,-5)
end

-- AP-3C Orion

for x = 1,2 do
    unit=ScenEdit_AddUnit({
        type = 'Aircraft',
        dbid = 979,
        loadoutid = 15262, -- surv
        name = 'Neptune #'..x,
        base = raaf_darwin.guid,
        autodetectable = 'False',
        proficiency = math.random(2,4),
        side = side_name
    })
    destruction_points(unit,-5)
end

-- growler

for x = 1,math.random(2,4) do
    if math.random()<0.5 then
        loadoutid = 15623
    else
        loadoutid = 17142
    end
    unit=ScenEdit_AddUnit({
        type = 'Aircraft',
        dbid = 2926,
        loadoutid = loadoutid,
        name = 'Wolf #'..x,
        base = raaf_darwin.guid,
        autodetectable = 'False',
        proficiency = math.random(2,4),
        side = side_name
    })
    destruction_points(unit,-5)
end

-- Tiger
for x = 1,math.random(4,5) do
    if math.random()<0.5 then
        loadoutid = 7308
    else
        loadoutid = 3
    end
    unit=ScenEdit_AddUnit({
        type = 'Aircraft',
        dbid = 1520,
        loadoutid = loadoutid,
        name = 'Renegade #'..x,
        base = raaf_townsville.guid,
        autodetectable = 'False',
        proficiency = math.random(2,4),
        side = side_name
    })
    destruction_points(unit,-5)
end


-- F-35A Lightning II
for x = 1,6 do
    unit_dbid=3901
    if math.random() < 0.1 then
        unit_loadoutid = 4
    else
        unit_loadoutid = 19566
    end

    unit=ScenEdit_AddUnit({
        type = 'Aircraft',
        dbid = unit_dbid,
        loadoutid = unit_loadoutid,
        name = 'Baron #'..x,
        base = raaf_darwin.guid,
        autodetectable = 'False',
        proficiency = math.random(3,4),
        side = side_name
    })
    destruction_points(unit,-15)
end

-- F-35A Lightning II
for x = 7,10 do
    unit_dbid=3901
    if math.random() < 0.1 then
        unit_loadoutid = 4
    else
        unit_loadoutid = 19566
    end

    unit=ScenEdit_AddUnit({
        type = 'Aircraft',
        dbid = unit_dbid,
        loadoutid = unit_loadoutid,
        name = 'Baron #'..x,
        base = raaf_amberley.guid,
        autodetectable = 'False',
        proficiency = math.random(3,4),
        side = side_name
    })
    destruction_points(unit,-15)
end

-- Super Hornet
for x = 1,16 do
    r = math.random(1,9)
    if r < 7 then
        unit_dbid = '4943'
        j = math.random(1,9)
        if j == 1 then
            unit_loadoutid = '4'
        elseif j == 2 then
            unit_loadoutid = '3'
        elseif j > 2 and j < 7 then
            unit_loadoutid = '26477'
        elseif j >= 7 and j < 10 then
            unit_loadoutid = '7518'
        end
    else
        unit_dbid = '712'
        unit_loadoutid = '3'
    end
    if math.random() < 0.5 then
        baseguid = raaf_tindal.guid
    else
        baseguid = raaf_darwin.guid
    end
    unit=ScenEdit_AddUnit({
        type = 'Aircraft',
        dbid = unit_dbid,
        loadoutid = unit_loadoutid,
        name = 'Bear #'..x,
        base = baseguid,
        autodetectable = 'False',
        proficiency = math.random(3,4),
        side = side_name
    })
    destruction_points(unit,-10)
end



-- C-130H or C-130E
for x = 1,12 do
    r = math.random(1,9)
    if r < 7 then
        unit_dbid = '3246'
        j = math.random(1,9)
        if j == 1 then
            unit_loadoutid = '4'
        elseif j == 2 then
            unit_loadoutid = '3'
        elseif j > 2 and j < 5 then
            unit_loadoutid = '17405'
        elseif j >= 5 and j < 10 then
            unit_loadoutid = '17402'
        end
    else
        unit_dbid = '3247'
        unit_loadoutid = '3'
    end
    b = math.random(1,2)
    if b == 1 then
        base_guid = raaf_darwin.guid
    else
        base_guid = raaf_amberley.guid
    end
    unit=ScenEdit_AddUnit({
        type = 'Aircraft',
        dbid = unit_dbid,
        loadoutid = unit_loadoutid,
        name = 'Maverick #'..x,
        base = base_guid,
        autodetectable = 'False',
        proficiency = math.random(3,4),
        side = side_name
    })
    destruction_points(unit,-5)
end

-- Hornet
for x = 1,16 do
	r = math.random(1,9)
    if r < 9 then
		unit_dbid = '850'
		j = math.random(1,9)
		if j == 1 then
			unit_loadoutid = '4'
		elseif j == 2 then
			unit_loadoutid = '3'
		elseif j > 2 and j < 5 then
			unit_loadoutid = '2826'
		elseif j >= 5 and j < 10 then
			unit_loadoutid = '26540'
		end
	else
		unit_dbid = '3248'
		unit_loadoutid = '17417'
	end
    if math.random() < 0.5 then
        baseguid = raaf_tindal.guid
    else
        baseguid = raaf_darwin.guid
    end
	unit=ScenEdit_AddUnit({
		type = 'Aircraft',
		dbid = unit_dbid,
		loadoutid = unit_loadoutid,
		name = 'Brown #'..x,
		base = baseguid,
		autodetectable = 'False',
        proficiency = math.random(3,4),
		side = side_name
	})
    destruction_points(unit,-5)
end

-- Huey
for x = 1,4 do
	loadoutid = 4
	if math.random(1,2)==1 then
		loadoutid = 26429
	else
		loadoutid = 3
	end

	unit=ScenEdit_AddUnit({
		type = 'Aircraft',
		dbid = '4846',
		loadoutid = '26429',
		name = 'Breaker #'..x,
		base = raaf_tindal.guid,
		autodetectable = 'False',
		proficiency = 'Veteran',
		side = side_name
	})
    destruction_points(unit,-5)
end

-- Chinook 
for x = 1,4 do
	r = math.random(1,4)
	if r > 1 then
		unit=ScenEdit_AddUnit({
			type = 'Aircraft',
			dbid = '3179',
			loadoutid = '17004',
			name = 'Patriot #'..x,
			base = raaf_tindal.guid,
			autodetectable = 'False',
			side = side_name
		})
	else
		unit=ScenEdit_AddUnit({
			type = 'Aircraft',
			dbid = '3179',
			loadoutid = '3',
			name = 'Patriot #'..x,
			base = raaf_tindal.guid,
			autodetectable = 'False',
			side = side_name
		})
	end
    destruction_points(unit,-5)
end

-- Chinook
for x = 5,6 do
    unit=ScenEdit_AddUnit({
        type = 'Aircraft',
        dbid = '3179',
        loadoutid = '3',
        name = 'Patriot #'..x,
        base = raaf_townsville.guid,
        autodetectable = 'False',
        side = side_name
    })
    destruction_points(unit,-5)
end




-- Skyguardian 
for x = 1,3 do
	unit=ScenEdit_AddUnit({
		type = 'Aircraft',
		dbid = '5196',
		loadoutid = '28667',
		name = 'Unmanned Reaper #'..x,
		base = raaf_tindal.guid,
		autodetectable = 'False',
		side = side_name
	})
    destruction_points(unit,-10)

end

-- Heron
for x = 1,3 do
    unit=ScenEdit_AddUnit({
        type = 'Aircraft',
        dbid = '3448',
        loadoutid = '17782',
        name = 'Unmanned HAL #'..x,
        base = raaf_townsville.guid,
        autodetectable = 'False',
        side = side_name
    })
    destruction_points(unit,-5)
end

-- Wedgetail
unit=ScenEdit_AddUnit({
	type = 'Aircraft',
	dbid = '940',
	loadoutid = '8086',
	name = 'Preacher #1',
	base = raaf_tindal.guid,
	autodetectable = 'False',
	side = side_name
})
destruction_points(unit,-5)

-- Wedgetail
unit=ScenEdit_AddUnit({
    type = 'Aircraft',
    dbid = '940',
    loadoutid = '8086',
    name = 'Preacher #2',
    base = raaf_amberley.guid,
    autodetectable = 'False',
    side = side_name
})
destruction_points(unit,-5)

-- Peregrine
unit=ScenEdit_AddUnit({
	type = 'Aircraft',
	dbid = '4745',
	loadoutid = '25773',
	name = 'Surfer #1',
	base = raaf_tindal.guid,
	autodetectable = 'False',
	side = side_name
})
destruction_points(unit,-5)

-- Airbus
for x = 1,math.random(3,6) do
	r = math.random(1,6)
    if math.random() < 0.5 then
        baseid = raaf_tindal.guid
    else
        baseid = raaf_amberley.guid
    end
	if r == 1 then
		unit=ScenEdit_AddUnit({
			type = 'Aircraft',
			dbid = '1827',
			loadoutid = '4',
			name = 'Brimstone #'..x,
			base = baseid,
			autodetectable = 'False',
			side = side_name
		})
	elseif r == 2 then
		unit=ScenEdit_AddUnit({
			type = 'Aircraft',
			dbid = '1827',
			loadoutid = '3',
			name = 'Brimstone #'..x,
			base = baseid,
			autodetectable = 'False',
			side = side_name
		})
	else
		unit=ScenEdit_AddUnit({
			type = 'Aircraft',
			dbid = '1827',
			loadoutid = '8262',
			name = 'Brimstone #'..x,
			base = baseid,
			autodetectable = 'False',
			side = side_name
		})
	end
    destruction_points(unit,-5)
end



-- Radar
hr = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '360',
 subtype = '3001',
 name = 'Harts Range',
 side = side_name,
 class = 'Radar (Jindalee JORN Transmitter, 90 Degre Beam)',
 proficiency = 'Ace',
 latitude = '-22.9721102173156',
 longitude = '134.447769151366',
 heading = '277',
 autodetectable = 'True'
})
ScenEdit_SetEMCON('Unit',hr.guid,'Radar=Active')

me = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '2022',
 subtype = '3001',
 name = 'Mount Everard',
 side = side_name,
 class = 'Radar (Jindalee JORN Receiver, 90 Degre Beam)',
 proficiency = 'Ace',
 latitude = '-23.5228594342782',
 longitude = '133.688794362563',
 heading = '277',
 autodetectable = 'True'
})
ScenEdit_SetEMCON('Unit',me.guid,'Radar=Active')

le = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '2623',
 subtype = '3001',
 name = 'Leonora',
 side = side_name,
 class = 'Radar (Jindalee JORN Transmitter, 180 Degre Beam)',
 proficiency = 'Ace',
 latitude = '-28.3228272881297',
 longitude = '122.834392004889',
 heading = '261',
 autodetectable = 'True'
})
ScenEdit_SetEMCON('Unit',le.guid,'Radar=Active')

la = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '2622',
 subtype = '3001',
 name = 'Laverton',
 side = side_name,
 class = 'Radar (Jindalee JORN Receiver, 180 Degre Beam)',
 proficiency = 'Ace',
 latitude = '-28.3252085533345',
 longitude = '122.006626235352',
 heading = '261',
 autodetectable = 'True'
})
ScenEdit_SetEMCON('Unit',la.guid,'Radar=Active')

lo=ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '360',
 subtype = '3001',
 name = 'Longreach',
 side = side_name,
 class = 'Radar (Jindalee JORN Transmitter, 90 Degre Beam)',
 proficiency = 'Ace',
 latitude = '-23.6305504248117',
 longitude = '148.141551559965',
 heading = '275',
 autodetectable = 'True'
})
ScenEdit_SetEMCON('Unit',lo.guid,'Radar=Active')

st=ScenEdit_AddUnit({
type = 'Facility',
 dbid = '2022',
 subtype = '3001',
 name = 'Stonehenge',
 side = side_name,
 class = 'Radar (Jindalee JORN Receiver, 90 Degre Beam)',
 proficiency = 'Ace',
 latitude = '-24.2967972171084',
 longitude = '143.1882212064',
 heading = '275',
 autodetectable = 'True'
})
ScenEdit_SetEMCON('Unit',st.guid,'Radar=Active')

morad1 = ScenEdit_AddUnit({
 type = 'Facility',
 dbid = '155',
 subtype = '5001',
 name = 'Templar #1',
 side = side_name,
 class = 'Radar (AN/TPS-77)',
 proficiency = 'Regular',
 latitude = 'S 12.3.18',
 longitude = 'E 133.6.13',
 autodetectable = 'False'
})
destruction_points(morad1,-10)
ScenEdit_SetEMCON('Unit',morad1.guid,'Radar=Active')

morad2 = ScenEdit_AddUnit({
    type = 'Facility',
    dbid = '155',
    subtype = '5001',
    name = 'Templar #2',
    side = side_name,
    class = 'Radar (AN/TPS-77)',
    proficiency = 'Regular',
    latitude = 'S 14.47.3',
    longitude = 'E 125.31.30',
    autodetectable = 'False'
})
destruction_points(morad2,-10)
ScenEdit_SetEMCON('Unit',morad2.guid,'Radar=Active')

-- Commercial/Civilian clutter

barb=ScenEdit_AddUnit({
 type = 'Ship',
 dbid = '1474',
 subtype = '9001',
 name = 'Barb',
 side = side_name,
 class = 'Civilian Motor Yacht [38m]',
 proficiency = 'Regular',
 latitude = '-11.9086401424064',
 longitude = '130.321283594914',
 heading = math.random(0,359),
 speed = '0',
 autodetectable = 'False'
})


ScenEdit_UpdateUnit({guid=barb.guid,course={{latitude="S 11.13.54",longitude="E 132.47.57"}}})


fw = ScenEdit_AddUnit({
 type = 'Ship',
 dbid = '1474',
 subtype = '9001',
 name = 'Finally Wet',
 side = side_name,
 class = 'Civilian Motor Yacht [38m]',
 proficiency = 'Regular',
 latitude = 'S 12.18.46',
 longitude = 'E 130.28.43',
 heading = math.random(0,359),
 speed = '0',
 autodetectable = 'False',
})

ScenEdit_UpdateUnit({guid=fw.guid,course= {{latitude="S 11.13.54",longitude="E 132.53.57"}}})

ft = ScenEdit_AddUnit({
 type = 'Ship',
 dbid = '2383',
 subtype = '9001',
 name = 'Finn Tasea',
 side = side_name,
 class = 'Civilian RHIB [11m]',
 proficiency = 'Regular',
 latitude = '-14.3514628129865',
 longitude = '128.667847345449',
 heading = math.random(0,359),
 autodetectable = 'False'
})

ScenEdit_UpdateUnit({guid=ft.guid,course= { { longitude = 129.248884394996, latitude = -14.5835132916842 }}})

re = ScenEdit_AddUnit({
 type = 'Ship',
 dbid = '2383',
 subtype = '9001',
 name = 'Reel Edition',
 side = side_name,
 class = 'Civilian RHIB [11m]',
 proficiency = 'Regular',
 latitude = 'S 11.53.56',
 longitude = 'E 131.35.00',
 heading = math.random(0,359),
 autodetectable = 'False'
})

ScenEdit_UpdateUnit({guid=re.guid,course= {{ longitude = 130.711548268901, latitude = -11.1332574817684 }}})


noflyzone = { [1] = { longitude = '122.052595695481', name = 'NoFlyZone-1', latitude = '-10.7028883792539', highlighted=true, locked=true },
              [2] = { longitude = '123.428642984413', name = 'NoFlyZone-2', latitude = '-8.50786346344911', highlighted=true, locked=true  },
              [3] = { longitude = '125.896982993916', name = 'NoFlyZone-3', latitude = '-7.50412987151605', highlighted=true, locked=true  },
              [4] = { longitude = '127.987838224338', name = 'NoFlyZone-4', latitude = '-7.28516948274756', highlighted=true, locked=true  },
              [5] = { longitude = '128.281102325217', name = 'NoFlyZone-5', latitude = '-8.8027016698774', highlighted=true, locked=true  },
              [6] = { longitude = '126.41505083159', name = 'NoFlyZone-6', latitude = '-10.0484243218232', highlighted=true, locked=true  },
              [7] = { longitude = '125.108807102869', name = 'NoFlyZone-7', latitude = '-11.023476246941', highlighted=true, locked=true  },
              [8] = { longitude = '122.758219561265', name = 'NoFlyZone-8', latitude = '-11.3124490926048', highlighted=true, locked=true  } }
ScenEdit_AddReferencePoint({side=side_name,area=noflyzone})

ScenEdit_SetKeyValue("Evacuated","False")
ScenEdit_AddSpecialAction({
    ActionNameOrID = "Evacuate Maobisse Bunker",
    isactive = true,
    isrepeatable = false,
    description = "Immediately evacuate Maobisse Bunker. Creates 10x personnel to be airlifted to RAAF Base Darwin.",
    side = side_name,
    scripttext = 'ScenEdit_UseAttachment("Lua script: evacuate.lua")'
})

build_munitions()