-- launches a paradrop strike
side_AUS = VP_GetSides()[1].name
side_IND = VP_GetSides()[2].name
current_time = ScenEdit_CurrentTime()
etoa = os.date("*t",current_time)
etoa_str = string.format("%s-%s-%s, %s:%s:%s",
		etoa.year,
		etoa.month,
		etoa.day,
		etoa.hour,
		etoa.min,
		etoa.sec
)
local function launch_paradrop(unit,target,drop_id,drop_type)
	if drop_type == 0 then
		-- Infantry Section 7.62mm MG/Unguided Anti Tank
		ScenEdit_UpdateUnitCargo({guid=unit.guid,mode='add_cargo',cargo={{16,2884}}})
	elseif drop_type == 1 then
		-- 105mm/32 M102 Towed Howitzer 2/16/6
		ScenEdit_UpdateUnitCargo({guid=unit.guid,mode='add_cargo',cargo={{2,2030}}})
	elseif drop_type == 2 then
		-- Avenger SAM 3/10/4
		ScenEdit_UpdateUnitCargo({guid=unit.guid,mode='add_cargo',cargo={{3,616}}})
	elseif drop_type == 3 then
		-- BMD-4 [AT-10 Stabber] IFV (Russia,2006) 8/18/8
		ScenEdit_UpdateUnitCargo({guid=unit.guid,mode='add_cargo',cargo={{1,2406}}})
	end
	course_lat = tonumber(target.latitude)+(math.random()-0.5)*24/60
	course_lng = tonumber(target.longitude)+(math.random()-0.5)*24/60
	ScenEdit_UpdateUnit({guid=unit.guid,course={{latitude=course_lat,longitude=course_lng}}})
	unit:Launch(true)
	-- drop the paratroopers as soon as entering this area
	rp_topleft_name = string.format("Paradrop #%d Zone TopLeft",drop_id)
	rp_topright_name = string.format("Paradrop #%d Zone TopRight",drop_id)
	rp_botright_name = string.format("Paradrop #%d Zone BotRight",drop_id)
	rp_botleft_name = string.format("Paradrop #%d Zone BotLeft",drop_id)
	ScenEdit_AddReferencePoint({
		side=side_IND,
		name=rp_topleft_name,
		lat=course_lat+0.01,
		lon=course_lng-0.01
	})
	ScenEdit_AddReferencePoint({
		side=side_IND,
		name=rp_topright_name,
		lat=course_lat+0.01,
		lon=course_lng+0.01
	})
	ScenEdit_AddReferencePoint({
		side=side_IND,
		name=rp_botright_name,
		lat=course_lat-0.01,
		lon=course_lng+0.01
	})
	ScenEdit_AddReferencePoint({
		side=side_IND,
		name=rp_botleft_name,
		lat=course_lat-0.01,
		lon=course_lng-0.01
	})
	
	-- set the event to undertake the drop script
	paradrop_trigger_name=string.format('Paradrop #%d Drop Trigger',drop_id)
	ScenEdit_SetTrigger({
		mode='add',
		type='UnitEntersArea',
		name=paradrop_trigger_name,
		targetfilter={specificunitid=unit.guid},
		etoa=etoa_str,
		area={rp_topleft_name,
			rp_topright_name,
			rp_botright_name,
			rp_botleft_name}
	})
	paradrop_action_name=string.format('Paradrop #%d Drop Action',drop_id)
	ScenEdit_SetAction({
		mode='add',
		type='LuaScript',
		name=paradrop_action_name,
		scripttext='ScenEdit_UseAttachment("Lua script: drop_paradrop_2.lua")'
	})
	paradrop_event_name=string.format('Paradrop #%d Drop',drop_id)
	ScenEdit_SetEvent(paradrop_event_name,{mode='add'})
	event = ScenEdit_GetEvent(paradrop_event_name,0)
	ScenEdit_SetKeyValue("paradrop_unit_"..event.guid,unit.guid)
	ScenEdit_SetKeyValue("paradrop_mission_"..event.guid,"Search for Base")
	ScenEdit_SetKeyValue("paradrop_type_"..event.guid,""..drop_type)
	ScenEdit_SetEventTrigger(paradrop_event_name,{mode='add',name=paradrop_trigger_name})
	ScenEdit_SetEventAction(paradrop_event_name,{mode='add',name=paradrop_action_name})	
end

target = { longitude = '125.681256493372', latitude = '-8.84571183466948' }

for x = 2,2 do
	herc = ScenEdit_GetUnit({side=side_IND,name="Herc I #"..x})
	launch_paradrop(herc,target,x,0)
end

for x = 11,14 do
	herc = ScenEdit_GetUnit({side=side_IND,name="Herc C #"..x})
	launch_paradrop(herc,target,x,1)
end

for x = 15,15 do
	herc = ScenEdit_GetUnit({side=side_IND,name="Herc C #"..x})
	launch_paradrop(herc,target,x,2)
end

for x = 16,17 do
	herc = ScenEdit_GetUnit({side=side_IND,name="Herc C #"..x})
	launch_paradrop(herc,target,x,3)
end


